Javascript Select
Select for Javascript
Select for Javascript
Select for Javascript
Learn more
Advanced select component for single and multiple value selection. Provides a great alternative to the native dropdown with enhanced UX.
Can be used on mobiscroll form elements or on any input, select and field.
Shipping with useful features:
- Single or multiple value selection
- Group header and list segmentation
- On demand rendering for long lists
- Built in support for invalids and un-selectable values
- Filtering and autocomplete with type ahead
- Circular wheels
- Multiple theme support
- Modal, popup and inline display support
- RTL Support
- Full localization
Interested in scroller controls? Other demos that could be useful:
Select demos available for other frameworks.
Viewing demos & code for
Select - Mobile & Desktop usage
Use the select for both mobile and desktop or set it up responsively. The main difference between the two rendering modes - controlled by the touchUi
setting - is how the component is laid out.
When set to false
the component shows up suitable for larger screens and pointer interaction while setting it to true
renders it suitable for touch screens.
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.select('#demo-mobile', {
display: 'bubble'
});
mobiscroll.select('#demo-desktop', {
display: 'bubble',
touchUi: false
});
<div mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Mobile
<select mbsc-dropdown id="demo-mobile" data-input-style="box">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Desktop
<select mbsc-dropdown id="demo-desktop" data-input-style="box">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
</div>
</div>
</div>
</div>
Select - App & Website usage
Use it on any custom input or with Mobiscroll form fields. The select is shown on input focus, but it can also be triggered on a button click or it can be embedded directly into the page.
Let’s say you already have a form and you want a custom dropdown. You can use it on existing fields or new fields.
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var data = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
mobiscroll.select('#demo-app-select', {
data: data,
display: 'bubble'
});
mobiscroll.select('#demo-app-select-header', {
data: data,
display: 'bubble',
headerText: 'Pick location'
});
mobiscroll.select('#demo-app-select-non-form', {
data: data,
display: 'bubble',
inputClass: 'demo-non-form'
});
var instance = mobiscroll.select('#demo-app-select-external', {
data: data,
display: 'bubble',
inputClass: 'demo-non-form',
showOnTap: false,
showOnFocus: false
});
document
.getElementById('show-demo-app-select-external')
.addEventListener('click', function () {
instance.show();
}, false);
<div mbsc-form class="mbsc-form-box">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Using the Select with Mobiscroll form fields</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Select
<select mbsc-dropdown data-input-style="box" id="demo-app-select"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Header text
<select mbsc-dropdown data-input-style="box" id="demo-app-select-header"></select>
</label>
</div>
</div>
</div>
</div>
</div>
<div class="mbsc-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label for="demo-app-select-non-form">Select</label>
<select id="demo-app-select-non-form"></select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-row mbsc-align-items-end">
<div class="mbsc-col-9">
<label for="demo-app-select-external">Show on button click only</label>
<select id="demo-app-select-external"></select>
</div>
<div class="mbsc-col-3 external-container">
<button id="show-demo-app-select-external" class="external-button">Show</button>
</div>
</div>
</div>
</div>
</div>
.demo-non-form {
color: initial;
width: 100%;
padding: 10px;
margin: 6px 0 12px 0;
border: 1px solid #ccc;
border-radius: 0;
font-family: arial, verdana, sans-serif;
font-size: 14px;
box-sizing: border-box;
-webkit-appearance: none;
}
.demo-container {
padding: 0 1em;
}
.external-container {
display: flex;
}
.external-container button.external-button {
font-weight: 400;
padding: 10px;
margin: 6px 0 13px 0;
width: 100%;
}
Select - Mobile display modes
Different display modes can be used for mobile and desktop. On mobile, the select can be rendered at the top or bottom of the screen, in the center of the screen, anchored to an input or any object for that matter and it can also be embedded in any inline content.
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.form('#demo-form');
mobiscroll.select('#demo', {
display: 'bottom'
});
mobiscroll.select('#demo-top', {
display: 'top'
});
mobiscroll.select('#demo-center', {
display: 'center'
});
mobiscroll.select('#demo-bubble', {
display: 'bubble'
});
mobiscroll.select('#demo-inline', {
display: 'inline',
showInput: false
});
<div id="demo-form">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Try different display modes</div>
<label>
Bottom
<select mbsc-dropdown name="City" id="demo">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Top
<select mbsc-dropdown name="City" id="demo-top">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Center
<select mbsc-dropdown name="City" id="demo-center">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Bubble
<select mbsc-dropdown name="City" id="demo-bubble">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
</div>
<div class="mbsc-form-group mbsc-padding">
<p class="mbsc-thin">With inline display you can embed the Select component in almost any markup or form.</p>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Embedded select scroller</div>
<div>
<select name="City" id="demo-inline" data-enhance="false">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</div>
</div>
</div>
Select - Desktop display modes
Use the available display modes on mobile and desktop. On larger screens you have slightly different rendering options suitable for the large form-factor and pointer interaction. Use the top, bottom and center modes for getting it in front of the users or stay in context and anchor it to the input.
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var myData = {
url: 'https://trial.mobiscroll.com/airports/',
remoteFilter: true,
dataType: 'jsonp',
processResponse: function (data) {
var i,
item,
ret = [];
if (data) {
for (i = 0; i < data.length; i++) {
item = data[i];
ret.push({
value: item.code,
text: item.name,
html: '<div style="font-size:16px;line-height:18px;">' + item.name + '</div><div style="font-size:10px;line-height:12px;">' + item.location + ', ' + item.code + '</div>'
});
}
}
return ret;
}
};
mobiscroll.select('#demo-single', {
touchUi: false
});
mobiscroll.select('#demo-multi', {
touchUi: false
});
mobiscroll.select('#demo-group', {
touchUi: false
});
mobiscroll.select('#demo-wheel', {
group: true,
touchUi: false
});
mobiscroll.select('#demo-remote', {
placeholder: 'Please select',
display: 'center',
multiline: 2,
height: 50,
data: myData,
touchUi: false,
filter: true
});
mobiscroll.select('#demo-input', {
touchUi: false
});
mobiscroll.select('#demo-center', {
display: 'center',
touchUi: false
});
mobiscroll.select('#demo-top', {
display: 'top',
touchUi: false
});
mobiscroll.select('#demo-bottom', {
display: 'bottom',
touchUi: false
});
mobiscroll.select('#demo-set', {
display: 'center',
touchUi: false,
buttons: ['set']
});
mobiscroll.select('#demo-set-cancel', {
display: 'center',
touchUi: false,
buttons: ['set', 'cancel']
});
<div mbsc-form>
<div class="mbsc-align-center">
<div class="mbsc-note mbsc-note-primary">The Select component can be used on mobile and desktop. See desktop functionality below.</div>
</div>
<div class="mbsc-grid">
<div class="mbsc-row mbsc-justify-content-center">
<div class="mbsc-col-sm-9 mbsc-col-md-7 mbsc-col-xl-5">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Basic usage</div>
<label>
Single select
<select mbsc-dropdown name="City" id="demo-single">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Multi-select
<select mbsc-dropdown name="Category" id="demo-multi" multiple>
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3" selected>Electronics & Computers</option>
<option value="4" selected>Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
</select>
</label>
</div>
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Pop-up positioning</div>
<label>
Top
<select mbsc-dropdown name="City" id="demo-top">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Bottom
<select mbsc-dropdown name="City" id="demo-bottom">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Anchored
<select mbsc-dropdown name="City" id="demo-input">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Center
<select mbsc-dropdown name="City" id="demo-center">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
</div>
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Group select & segmentation</div>
<label>
Group select
<select mbsc-dropdown id="demo-group">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
<label>
Group wheel
<select mbsc-dropdown id="demo-wheel">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
</div>
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Filtering & autocomplete</div>
<label>
Remote data
<select mbsc-dropdown id="demo-remote"></select>
</label>
</div>
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">With buttons</div>
<label>
Set button
<select mbsc-dropdown name="City" id="demo-set" placeholder="Please select...">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Set/Cancel
<select mbsc-dropdown name="City" id="demo-set-cancel" placeholder="Please select...">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
</div>
</div>
</div>
</div>
</div>
Select - Responsive
Use the select dropdown responsively. You can set positioning and rendering based on the screen size. Having a bottom positioned select on mobile, a popover anchored to the input on tablet and desktop display on large sceens is simple.
All this can be configured under the responsive
setting where you pass the options for each breakpoint.
responsive: { xsmall: { ... }, small: { ... }, medium: { ... }, large: { ... }, xlarge: { ... } }
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var myData = {
url: 'https://trial.mobiscroll.com/airports/',
remoteFilter: true,
dataType: 'jsonp',
processResponse: function (data) {
var i,
item,
ret = [];
if (data) {
for (i = 0; i < data.length; i++) {
item = data[i];
ret.push({
value: item.code,
text: item.name,
html: '<div style="font-size:16px;line-height:18px;">' + item.name + '</div><div style="font-size:10px;line-height:12px;">' + item.location + ', ' + item.code + '</div>'
});
}
}
return ret;
}
};
mobiscroll.select('#demo-single', {
responsive: {
small: {
display: 'bubble'
},
medium: {
touchUi: false
}
}
});
mobiscroll.select('#demo-multi', {
responsive: {
small: {
display: 'bubble'
},
medium: {
touchUi: false
}
}
});
mobiscroll.select('#demo-group', {
responsive: {
small: {
display: 'bubble'
},
medium: {
touchUi: false
}
}
});
mobiscroll.select('#demo-wheel', {
group: true,
responsive: {
small: {
display: 'bubble'
},
medium: {
touchUi: false
}
}
});
mobiscroll.select('#demo-remote', {
placeholder: 'Please select',
display: 'center',
multiline: 2,
height: 50,
data: myData,
filter: true,
responsive: {
small: {
display: 'bubble'
},
medium: {
touchUi: false
}
}
});
<div mbsc-form>
<div class="mbsc-grid">
<div class="mbsc-row mbsc-justify-content-center">
<div class="mbsc-col-sm-9 mbsc-col-md-7 mbsc-col-xl-5">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Basic usage</div>
<label>
Single select
<select mbsc-dropdown name="City" id="demo-single">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<label>
Multi-select
<select mbsc-dropdown name="Category" id="demo-multi" multiple>
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3" selected>Electronics & Computers</option>
<option value="4" selected>Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
</select>
</label>
</div>
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Group select & segmentation</div>
<label>
Group select
<select mbsc-dropdown id="demo-group">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
<label>
Group wheel
<select mbsc-dropdown id="demo-wheel">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
</div>
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Filtering & autocomplete</div>
<label>
Remote data
<select mbsc-dropdown id="demo-remote"></select>
</label>
</div>
</div>
</div>
</div>
</div>
Select - Multiple select
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.select('#demo-multiple', {
display: 'bubble'
});
mobiscroll.select('#demo-multiple-group', {
display: 'bubble',
label: 'Name',
group: true,
groupLabel: ' '
});
mobiscroll.select('#demo-multiple-desktop', {
touchUi: false
});
<div mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Multi-select
<select mbsc-dropdown name="Category" id="demo-multiple" multiple data-input-style="box" data-label-style="stacked">
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3" selected>Electronics & Computers</option>
<option value="4" selected>Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Group options
<select mbsc-dropdown id="demo-multiple-group" multiple data-input-style="box" data-label-style="stacked">
<optgroup label="A">
<option value="0">Adaline Shiver</option>
<option value="1" selected>Adella Cornell</option>
<option value="2" selected>Adolph Scriber</option>
<option value="3" disabled>Adrianna Merritt</option>
<option value="4" disabled>Adrianne Marotta</option>
</optgroup>
<optgroup label="B">
<option value="78">Barbara Mackay</option>
<option value="79">Barbera Phu</option>
<option value="80">Barbie Kaczorowski</option>
<option value="81">Barney Flurry</option>
<option value="82">Beatriz Remer</option>
</optgroup>
<!-- Showing partial data. Download full source. -->
</select>
<!--extra-->
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Desktop
<select mbsc-dropdown name="Category" id="demo-multiple-desktop" multiple data-input-style="box" data-label-style="stacked">
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3" selected>Electronics & Computers</option>
<option value="4" selected>Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
</select>
</label>
</div>
</div>
</div>
</div>
Select - Group options
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.select('#demo-group-options-select-desktop', {
display: 'bubble',
touchUi: false
});
mobiscroll.select('#demo-group-options-wheel-desktop', {
display: 'bubble',
group: true,
touchUi: false
});
mobiscroll.select('#demo-group-options-multiple-desktop', {
display: 'bubble',
group: true,
touchUi: false
});
mobiscroll.select('#demo-group-options-select', {
display: 'bubble'
});
mobiscroll.select('#demo-group-options-wheel', {
display: 'bubble',
group: true
});
mobiscroll.select('#demo-group-options-multiple', {
display: 'bubble',
group: true
});
<div mbsc-form class="mbsc-form-box">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Use it on desktop</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Group select
<select mbsc-dropdown data-input-style="box" data-label-style="stacked" id="demo-group-options-select-desktop">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Group wheel
<select mbsc-dropdown data-input-style="box" data-label-style="stacked" id="demo-group-options-wheel-desktop">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Multiple select
<select mbsc-dropdown data-input-style="box" data-label-style="stacked" id="demo-group-options-multiple-desktop" multiple>
<optgroup label="A">
<option value="0">Adaline Shiver</option>
<option value="1" selected>Adella Cornell</option>
<option value="2" selected>Adolph Scriber</option>
<option value="3" disabled>Adrianna Merritt</option>
<option value="4" disabled>Adrianne Marotta</option>
</optgroup>
<optgroup label="B">
<option value="78">Barbara Mackay</option>
<option value="79">Barbera Phu</option>
<option value="80">Barbie Kaczorowski</option>
<option value="81">Barney Flurry</option>
<option value="82">Beatriz Remer</option>
</optgroup>
<!-- Showing partial data. Download full source. -->
</select>
<!--extra-->
</label>
</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Use it on mobile</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Group select
<select mbsc-dropdown data-input-style="box" data-label-style="stacked" id="demo-group-options-select">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Group wheel
<select mbsc-dropdown data-input-style="box" data-label-style="stacked" id="demo-group-options-wheel">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Multiple select
<select mbsc-dropdown data-input-style="box" data-label-style="stacked" id="demo-group-options-multiple" multiple>
<optgroup label="A">
<option value="0">Adaline Shiver</option>
<option value="1" selected>Adella Cornell</option>
<option value="2" selected>Adolph Scriber</option>
<option value="3" disabled>Adrianna Merritt</option>
<option value="4" disabled>Adrianne Marotta</option>
</optgroup>
<optgroup label="B">
<option value="78">Barbara Mackay</option>
<option value="79">Barbera Phu</option>
<option value="80">Barbie Kaczorowski</option>
<option value="81">Barney Flurry</option>
<option value="82">Beatriz Remer</option>
</optgroup>
<!-- Showing partial data. Download full source. -->
</select>
<!--extra-->
</label>
</div>
</div>
</div>
</div>
</div>
Select - Multi level hierarchy
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var reg,
div,
sub,
remoteReg,
remoteDiv,
remoteSub,
emptyValue = { value: '', text: '', disabled: true },
regions = [
{ value: 1, text: 'Northeast' },
{ value: 2, text: 'Midwest' },
{ value: 3, text: 'South' },
{ value: 4, text: 'West' }
],
divisions = {
1: [
{ value: 1, text: 'New England' },
{ value: 2, text: 'Mid-Atlantic' }
],
2: [
{ value: 3, text: 'East North Central' },
{ value: 4, text: 'West North Central' }
],
3: [
{ value: 5, text: 'South Atlantic' },
{ value: 6, text: 'East South Central' },
{ value: 7, text: 'West South Central' }
],
4: [
{ value: 8, text: 'Mountain' },
{ value: 9, text: 'Pacific' }
]
},
subdivisions = {
1: [
{ value: 1, text: 'Connecticut' },
{ value: 2, text: 'Maine' },
{ value: 3, text: 'Massachusetts' },
{ value: 4, text: 'New Hampshire' },
{ value: 5, text: 'Rhode Island' },
{ value: 6, text: 'Vermont' }
],
2: [
{ value: 7, text: 'New Jersey' },
{ value: 8, text: 'New York' },
{ value: 9, text: 'Pennsylvania' }
],
3: [
{ value: 10, text: 'Illinois' },
{ value: 11, text: 'Indiana' },
{ value: 12, text: 'Michigan' },
{ value: 13, text: 'Ohio' }
],
4: [
{ value: 14, text: 'Wisconsin' },
{ value: 15, text: 'Iowa' },
{ value: 16, text: 'Kansas' },
{ value: 17, text: 'Minnesota' },
{ value: 18, text: 'Missouri' },
{ value: 19, text: 'Nebraska' },
{ value: 20, text: 'North Dakota' },
{ value: 21, text: 'South Dakota' }
],
5: [
{ value: 22, text: 'Delaware' },
{ value: 23, text: 'Florida' },
{ value: 24, text: 'Georgia' },
{ value: 25, text: 'Maryland' },
{ value: 26, text: 'North Carolina' },
{ value: 27, text: 'South Carolina' },
{ value: 28, text: 'Virginia' },
{ value: 29, text: 'District of Columbia' },
{ value: 30, text: 'West Virginia' }
],
6: [
{ value: 31, text: 'Alabama' },
{ value: 32, text: 'Kentucky' },
{ value: 33, text: 'Mississippi' },
{ value: 34, text: 'Tennessee' }
],
7: [
{ value: 35, text: 'Arkansas' },
{ value: 36, text: 'Louisiana' },
{ value: 37, text: 'Oklahoma' },
{ value: 38, text: 'Texas' }
],
8: [
{ value: 39, text: 'Arizona' },
{ value: 40, text: 'Colorado' },
{ value: 41, text: 'Idaho' },
{ value: 42, text: 'Montana' },
{ value: 43, text: 'Nevada' },
{ value: 44, text: 'New Mexico' },
{ value: 45, text: 'Utah' },
{ value: 46, text: 'Wyoming' }
],
9: [
{ value: 47, text: 'Alaska' },
{ value: 48, text: 'California' },
{ value: 49, text: 'Hawaii' },
{ value: 50, text: 'Oregon' },
{ value: 51, text: 'Washington' }
]
};
function getData(region, division) {
var arr;
if (division) {
arr = subdivisions[division];
} else if (region) {
arr = divisions[region];
} else {
arr = regions;
}
return arr;
}
reg = mobiscroll.select('#demo-data-reg', {
touchUi: false,
placeholder: 'Please select...',
data: getData(),
onSet: function (ev, inst) {
div.settings.invalid.length = 0
div.setVal('', true);
div.refresh(getData(inst.getVal()));
div.enable();
sub.settings.invalid.length = 0;
sub.setVal('', true);
sub.refresh([emptyValue]);
sub.disable();
}
});
div = mobiscroll.select('#demo-data-div', {
touchUi: false,
disabled: true,
placeholder: 'Please select...',
data: [emptyValue],
onSet: function (ev, inst) {
sub.settings.invalid.length = 0;
sub.setVal('', true);
sub.refresh(getData(null, inst.getVal()));
sub.enable();
}
});
sub = mobiscroll.select('#demo-data-sub', {
touchUi: false,
disabled: true,
placeholder: 'Please select...',
data: [emptyValue]
});
remoteReg = mobiscroll.select('#demo-remote-reg', {
touchUi: false,
placeholder: 'Please select...',
data: {
url: 'https://trial.mobiscroll.com/regions/',
dataType: 'jsonp'
},
onSet: function (ev, inst) {
remoteDiv.settings.invalid.length = 0
remoteDiv.settings.data.url = 'https://trial.mobiscroll.com/divisions/?reg=' + (inst.getVal());
remoteDiv.setVal('', true);
remoteDiv.refresh();
remoteDiv.enable();
remoteSub.settings.invalid.length = 0;
remoteSub.setVal('', true);
remoteSub.disable();
}
});
remoteDiv = mobiscroll.select('#demo-remote-div', {
touchUi: false,
disabled: true,
placeholder: 'Please select...',
data: {
url: 'https://trial.mobiscroll.com/divisions/',
dataType: 'jsonp'
},
onSet: function (ev, inst) {
remoteSub.settings.invalid.length = 0;
remoteSub.settings.data.url = 'https://trial.mobiscroll.com/subdivisions/?div=' + (inst.getVal());
remoteSub.setVal('', true);
remoteSub.refresh();
remoteSub.enable();
}
});
remoteSub = mobiscroll.select('#demo-remote-sub', {
touchUi: false,
disabled: true,
placeholder: 'Please select...',
data: {
url: 'https://trial.mobiscroll.com/subdivisions/',
dataType: 'jsonp'
}
});
<div mbsc-form>
<div class="mbsc-grid mbsc-grid-fixed">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Data object</div>
<label>
Region
<select mbsc-dropdown id="demo-data-reg"></select>
</label>
<label>
Division
<select mbsc-dropdown id="demo-data-div" disabled></select>
</label>
<label>
Subdivision
<select mbsc-dropdown id="demo-data-sub" disabled></select>
</label>
</div>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Remote data</div>
<label>
Region
<select mbsc-dropdown id="demo-remote-reg"></select>
</label>
<label>
Division
<select mbsc-dropdown id="demo-remote-div" disabled></select>
</label>
<label>
Subdivision
<select mbsc-dropdown id="demo-remote-sub" disabled></select>
</label>
</div>
</div>
</div>
</div>
</div>
Select - Autocomplete
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var names = [{
text: "Abigail Hodges",
value: 1
}, {
text: "Adam Robertson",
value: 2
}, {
text: "Adrian Mackay",
value: 3
}, {
text: "Adrian Springer",
value: 4
},
// Showing partial data. Download full source.
],
myData = {
url: 'https://trial.mobiscroll.com/airports/',
remoteFilter: true,
dataType: 'jsonp',
processResponse: function (data) {
var i,
item,
ret = [];
if (data) {
for (i = 0; i < data.length; i++) {
item = data[i];
ret.push({
value: item.code,
text: item.name,
html: '<div style="font-size:16px;line-height:18px;">' + item.name + '</div><div style="font-size:10px;line-height:12px;">' + item.location + ', ' + item.code + '</div>'
});
}
}
return ret;
}
};
mobiscroll.select('#demo-autocomplete', {
display: 'center',
data: names,
filter: true,
placeholder: 'Please Select...'
});
mobiscroll.select('#demo-autocomplete-remote', {
display: 'center',
multiline: 2,
height: 50,
data: myData,
filter: true,
placeholder: 'Please Select...'
});
<div mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Local data
<select mbsc-dropdown id="demo-autocomplete" data-input-style="box"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Remote data
<select mbsc-dropdown id="demo-autocomplete-remote" data-input-style="box"></select>
</label>
</div>
</div>
</div>
</div>
.demo-non-form {
color: initial;
width: 100%;
padding: 10px;
margin: 6px 0 12px 0;
border: 1px solid #ccc;
border-radius: 0;
font-family: arial, verdana, sans-serif;
font-size: 14px;
box-sizing: border-box;
-webkit-appearance: none;
}
.demo-container {
padding: 0 1em;
}
Select - Data source
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
// Make sure to run it on a web server when trying this demo locally!
mobiscroll.select('#demo-data-source', {
touchUi: false
});
mobiscroll.select('#demo-data-source-data-object', {
touchUi: false,
placeholder: 'Please Select...',
data: [{
value: 1,
text: 'Atlanta',
selected: true
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}]
});
mobiscroll.select('#demo-data-source-remote', {
touchUi: false,
placeholder: 'Please Select...',
data: {
url: 'https://trial.mobiscroll.com/content/languages.json',
dataType: 'json'
},
maxWidth: 300
});
<div mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
HTML
<select mbsc-dropdown id="demo-data-source" data-input-style="box" data-label-style="stacked">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Data object
<select mbsc-dropdown id="demo-data-source-data-object" data-input-style="box" data-label-style="stacked"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<label>
Remote data
<select mbsc-dropdown id="demo-data-source-remote" data-input-style="box" data-label-style="stacked"></select>
</label>
</div>
</div>
</div>
</div>
Select - Large datasource
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.select('#demo-huge-data', {
display: 'bubble'
});
mobiscroll.select('#demo-huge-data-remote', {
display: 'bubble',
placeholder: 'Please Select...',
data: {
url: 'https://trial.mobiscroll.com/content/names.json',
type: 'json'
}
});
<div mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
HTML
<select mbsc-dropdown id="demo-huge-data" data-input-style="box">
<option value="0">Adaline Shiver</option>
<option value="1">Adella Cornell</option>
<option value="2">Adolph Scriber</option>
<option value="3">Adrianna Merritt</option>
<option value="4">Adrianne Marotta</option>
<option value="5">Adrien Laycock</option>
<option value="6">Adrien Wiggins</option>
<option value="7">Agustin Vert</option>
<option value="8">Aisha Oritz</option>
<option value="9">Alaine Mikesell</option>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Remote
<select mbsc-dropdown id="demo-huge-data-remote" data-input-style="box"></select>
</label>
</div>
</div>
</div>
</div>
Select - Multiline select
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.select('#demo-multiple-lines', {
display: 'bubble',
multiline: 3,
height: 50
});
mobiscroll.select('#demo-multiple-lines-desktop', {
display: 'bubble',
touchUi: false,
multiline: 3,
height: 50
});
<div mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Mobile
<select mbsc-dropdown name="City" id="demo-multiple-lines" data-input-style="box" data-label-style="stacked">
<option value="1">Percentage of assets covered by systematic risk assessments (>99)</option>
<option value="2">Number of personal vacancies in the security roles required for ISMS (Nil)</option>
<option value="3">Time taken to grant, change and remove access privileges (Max. 2 hours)</option>
<option value="4">Percentage of agents covered by an effective security awareness program (100%)</option>
<option value="5">Number of security access violations (<2)</option>
<option value="6">Number of emergency changes (<5)</option>
<option value="7">Number of security incidents involving malicious code (Max. 2)</option>
<option value="8">Number of systems where security requirements are not met (Max. 2)</option>
<option value="9">Average turnaround time of incidents (Max. 2 hours)</option>
<option value="10">Number of pending actions to meet response and recovery requirements (Max. 5)</option>
<option value="11">Number of scheduled internal audits not done (Max. 1)</option>
<option value="12">Number of scheduled penetration tests not done (Max. 1)</option>
<option value="13">Number of overdue actions arising out of audit reports (Max. 5)</option>
<option value="14">Number of changes not carried out as per change control procedure (Max. 1)</option>
</select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Desktop
<select mbsc-dropdown name="City" id="demo-multiple-lines-desktop" data-input-style="box" data-label-style="stacked">
<option value="1">Percentage of assets covered by systematic risk assessments (>99)</option>
<option value="2">Number of personal vacancies in the security roles required for ISMS (Nil)</option>
<option value="3">Time taken to grant, change and remove access privileges (Max. 2 hours)</option>
<option value="4">Percentage of agents covered by an effective security awareness program (100%)</option>
<option value="5">Number of security access violations (<2)</option>
<option value="6">Number of emergency changes (<5)</option>
<option value="7">Number of security incidents involving malicious code (Max. 2)</option>
<option value="8">Number of systems where security requirements are not met (Max. 2)</option>
<option value="9">Average turnaround time of incidents (Max. 2 hours)</option>
<option value="10">Number of pending actions to meet response and recovery requirements (Max. 5)</option>
<option value="11">Number of scheduled internal audits not done (Max. 1)</option>
<option value="12">Number of scheduled penetration tests not done (Max. 1)</option>
<option value="13">Number of overdue actions arising out of audit reports (Max. 5)</option>
<option value="14">Number of changes not carried out as per change control procedure (Max. 1)</option>
</select>
</label>
</div>
</div>
</div>
</div>
Select - Country Dropdown
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var remoteData = {
url: 'https://trial.mobiscroll.com/content/countries.json',
type: 'json'
};
mobiscroll.select('#demo-country-filter', {
display: 'bubble',
data: remoteData,
filter: true,
group: {
groupWheel: false,
header: false
},
width: 400,
placeholder: 'Please Select...'
});
mobiscroll.select('#demo-country-group', {
display: 'bubble',
data: remoteData,
group: true,
width: [40, 240],
placeholder: 'Please Select...'
});
mobiscroll.select('#demo-country-filter-desktop', {
display: 'bubble',
touchUi: false,
data: remoteData,
filter: true,
group: {
groupWheel: false,
header: false
},
width: 400,
placeholder: 'Please Select...'
});
mobiscroll.select('#demo-country-group-desktop', {
display: 'bubble',
touchUi: false,
data: remoteData,
group: true,
placeholder: 'Please Select...'
});
<div mbsc-form class="mbsc-form-box">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Use it on mobile</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Filter
<select mbsc-dropdown data-input-style="box" id="demo-country-filter"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Group select
<select mbsc-dropdown data-input-style="box" id="demo-country-group"></select>
</label>
</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Use it on desktop</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Filter
<select mbsc-dropdown data-input-style="box" id="demo-country-filter-desktop"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label>
Group select
<select mbsc-dropdown data-input-style="box" id="demo-country-group-desktop"></select>
</label>
</div>
</div>
</div>
</div>
</div>
.demo-non-form {
color: initial;
width: 100%;
padding: 10px;
margin: 6px 0 12px 0;
border: 1px solid #ccc;
border-radius: 0;
font-family: arial, verdana, sans-serif;
font-size: 14px;
box-sizing: border-box;
-webkit-appearance: none;
}
.demo-container {
padding: 0 1em;
}
.external-container {
display: flex;
}
.external-container button.external-button {
font-weight: 400;
padding: 10px;
margin: 6px 0 12px 16px;
}
Select - Setting values
mobiscroll.settings = {
theme: '',
themeVariant: '',
lang: ''
};
var cities = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
mobiscroll.select('#demo-setting-values', {
data: cities
});
mobiscroll.select('#demo-setting-values-default', {
data: cities,
defaultValue: 6
});
var instance = mobiscroll.select('#demo-setting-values-inline', {
display: 'inline',
data: cities,
showInput: false
});
mobiscroll.select('#demo-setting-values-custom', {
data: cities,
select: 'multiple',
buttons: [{
text: 'Custom',
handler: function (event, inst) {
inst.setVal([3, 4, 7], true, true, false, 1000);
}
},
'set',
'cancel'
]
});
mobiscroll.select('#demo-setting-values-auto', {
data: cities,
select: 'multiple',
buttons: ['cancel']
});
document
.getElementById('demo-setting-values-london')
.addEventListener('click', function () {
instance.setVal(5, true, true, false, 1000);
}, false);
document
.getElementById('demo-setting-values-paris')
.addEventListener('click', function () {
instance.setVal(8, true, true, false, 1000);
}, false);
<div mbsc-form>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Controlling the default value</div>
<label>
Default
<select mbsc-dropdown id="demo-setting-values"></select>
</label>
<label>
Custom default
<select mbsc-dropdown id="demo-setting-values-default"></select>
</label>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Setting a custom value</div>
<div class="mbsc-btn-group-block">
<button mbsc-button id="demo-setting-values-london">London</button>
<button mbsc-button id="demo-setting-values-paris">Paris</button>
</div>
<label>
<input mbsc-input id="demo-setting-values-inline"></input>
</label>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Buttons API</div>
<label>
Custom
<select mbsc-dropdown id="demo-setting-values-custom"></select>
</label>
<label>
Auto set
<select mbsc-dropdown id="demo-setting-values-auto"></select>
</label>
</div>
</div>
Select - RTL support
mobiscroll.settings = {
theme: '',
themeVariant: '',
lang: ''
};
var names = [{
value: 0,
group: 'A',
text: 'Adaline Shiver'
}, {
value: 1,
group: 'A',
text: 'Adella Cornell'
}, {
value: 2,
group: 'A',
text: 'Adolph Scriber'
},
{
value: 78,
group: 'B',
text: 'Barbara Mackay'
}, {
value: 79,
group: 'B',
text: 'Barbera Phu'
}, {
value: 80,
group: 'B',
text: 'Barbie Kaczorowski'
}, {
value: 81,
group: 'B',
text: 'Barney Flurry'
},
// Showing partial data. Download full source.
];
mobiscroll.select('#arabic', {
lang: 'ar',
data: names,
group: true
});
mobiscroll.select('#hebrew', {
lang: 'he',
data: names,
group: true
});
mobiscroll.select('#farsi', {
lang: 'fa',
data: names,
group: true
});
mobiscroll.select('#demo', {
rtl: true,
data: names,
group: true
});
mobiscroll.form('#myform', {
rtl: true
});
<div id="myform">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">RTL enabled by default</div>
<label>
Arabic
<select mbsc-dropdown id="arabic"></select>
</label>
<label>
Hebrew
<select mbsc-dropdown id="hebrew"></select>
</label>
<label>
Farsi
<select mbsc-dropdown id="farsi"></select>
</label>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Manually set RTL</div>
<label>
RTL
<select mbsc-dropdown id="demo"></select>
</label>
</div>
</div>
Select - Localization
mobiscroll.settings = {
theme: '',
themeVariant: '',
display: 'bubble'
};
var items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
mobiscroll.select('#demo-english', {
lang: 'en',
data: items
});
mobiscroll.select('#demo-arabic', {
lang: 'ar',
data: items
});
mobiscroll.select('#demo-bulgarian', {
lang: 'bg',
data: items
});
mobiscroll.select('#demo-catala', {
lang: 'ca',
data: items
});
mobiscroll.select('#demo-cestina', {
lang: 'cs',
data: items
});
mobiscroll.select('#demo-chinese', {
lang: 'zh',
data: items
});
mobiscroll.select('#demo-croatian', {
lang: 'hr',
data: items
});
mobiscroll.select('#demo-dansk', {
lang: 'da',
data: items
});
mobiscroll.select('#demo-deutsch', {
lang: 'de',
data: items
});
mobiscroll.select('#demo-english-uk', {
lang: 'en-UK',
data: items
});
mobiscroll.select('#demo-espanol', {
lang: 'es',
data: items
});
mobiscroll.select('#demo-francais', {
lang: 'fr',
data: items
});
mobiscroll.select('#demo-greek', {
lang: 'el',
data: items
});
mobiscroll.select('#demo-hindi', {
lang: 'hi',
data: items
});
mobiscroll.select('#demo-italiano', {
lang: 'it',
data: items
});
mobiscroll.select('#demo-japanese', {
lang: 'ja',
data: items
});
mobiscroll.select('#demo-korean', {
lang: 'ko',
data: items
});
mobiscroll.select('#demo-lietuviu', {
lang: 'lt',
data: items
});
mobiscroll.select('#demo-magyar', {
lang: 'hu',
data: items
});
mobiscroll.select('#demo-nederlands', {
lang: 'nl',
data: items
});
mobiscroll.select('#demo-norsk', {
lang: 'no',
data: items
});
mobiscroll.select('#demo-polski', {
lang: 'pl',
data: items
});
mobiscroll.select('#demo-portugues', {
lang: 'pt-PT',
data: items
});
mobiscroll.select('#demo-brasileiro', {
lang: 'pt-BR',
data: items
});
mobiscroll.select('#demo-romana', {
lang: 'ro',
data: items
});
mobiscroll.select('#demo-serbian', {
lang: 'sr',
data: items
});
mobiscroll.select('#demo-slovencina', {
lang: 'sk',
data: items
});
mobiscroll.select('#demo-suomi', {
lang: 'fi',
data: items
});
mobiscroll.select('#demo-svenska', {
lang: 'sv',
data: items
});
mobiscroll.select('#demo-thai', {
lang: 'th',
data: items
});
mobiscroll.select('#demo-turkce', {
lang: 'tr',
data: items
});
mobiscroll.select('#demo-ukrainian', {
lang: 'ua',
data: items
});
mobiscroll.select('#demo-vietnamese', {
lang: 'vi',
data: items
});
mobiscroll.select('#demo-russian', {
lang: 'ru',
data: items
});
mobiscroll.select('#demo-russian-ua', {
lang: 'ru-UA',
data: items
});
mobiscroll.select('#demo-hebrew', {
lang: 'he',
data: items
});
mobiscroll.select('#demo-farsi', {
lang: 'fa',
data: items
});
<div id="demo-localization-form" class="md-localization">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-en"></span>
English
<select mbsc-dropdown data-input-style="box" id="demo-english"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ar"></span>
Arabic
<select mbsc-dropdown data-input-style="box" id="demo-arabic"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-bg"></span>
Bulgarian
<select mbsc-dropdown data-input-style="box" id="demo-bulgarian"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ca"></span>
Català
<select mbsc-dropdown data-input-style="box" id="demo-catala"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-cs"></span>
Cestina
<select mbsc-dropdown data-input-style="box" id="demo-cestina"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-zh"></span>
Chinese
<select mbsc-dropdown data-input-style="box" id="demo-chinese"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-hr"></span>
Croatian
<select mbsc-dropdown data-input-style="box" id="demo-croatian"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-da"></span>
Dansk
<select mbsc-dropdown data-input-style="box" id="demo-dansk"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-de"></span>
Deutsch
<select mbsc-dropdown data-input-style="box" id="demo-deutsch"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-en-UK"></span>
English (UK)
<select mbsc-dropdown data-input-style="box" id="demo-english-uk"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-es"></span>
Español
<select mbsc-dropdown data-input-style="box" id="demo-espanol"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-fr"></span>
Français
<select mbsc-dropdown data-input-style="box" id="demo-francais"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-gr"></span>
Greek
<select mbsc-dropdown data-input-style="box" id="demo-greek"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-in"></span>
Hindi
<select mbsc-dropdown data-input-style="box" id="demo-hindi"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-it"></span>
Italiano
<select mbsc-dropdown data-input-style="box" id="demo-italiano"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ja"></span>
Japanese
<select mbsc-dropdown data-input-style="box" id="demo-japanese"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-kr"></span>
Korean
<select mbsc-dropdown data-input-style="box" id="demo-korean"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-lt"></span>
Lietuvių
<select mbsc-dropdown data-input-style="box" id="demo-lietuviu"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-hu"></span>
Magyar
<select mbsc-dropdown data-input-style="box" id="demo-magyar"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-nl"></span>
Nederlands
<select mbsc-dropdown data-input-style="box" id="demo-nederlands"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-no"></span>
Norsk
<select mbsc-dropdown data-input-style="box" id="demo-norsk"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-pl"></span>
Polski
<select mbsc-dropdown data-input-style="box" id="demo-polski"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-pt-PT"></span>
Português Europeu
<select mbsc-dropdown data-input-style="box" id="demo-portugues"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-pt-BR"></span>
Pt. Brasileiro
<select mbsc-dropdown data-input-style="box" id="demo-brasileiro"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ro"></span>
Româna
<select mbsc-dropdown data-input-style="box" id="demo-romana"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-sr"></span>
Serbian
<select mbsc-dropdown data-input-style="box" id="demo-serbian"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-sk"></span>
Slovencina
<select mbsc-dropdown data-input-style="box" id="demo-slovencina"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-fi"></span>
Suomi
<select mbsc-dropdown data-input-style="box" id="demo-suomi"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-sv"></span>
Svenska
<select mbsc-dropdown data-input-style="box" id="demo-svenska"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-th"></span>
Thai
<select mbsc-dropdown data-input-style="box" id="demo-thai"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-tr"></span>
Türkçe
<select mbsc-dropdown data-input-style="box" id="demo-turkce"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ua"></span>
Ukrainian
<select mbsc-dropdown data-input-style="box" id="demo-ukrainian"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-vi"></span>
Vietnamese
<select mbsc-dropdown data-input-style="box" id="demo-vietnamese"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ru"></span>
Русский
<select mbsc-dropdown data-input-style="box" id="demo-russian"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-ru-UA"></span>
Русский (UA)
<select mbsc-dropdown data-input-style="box" id="demo-russian-ua"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-he"></span>
עברית
<select mbsc-dropdown data-input-style="box" id="demo-hebrew"></select>
</label>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<label>
<span class="flag flag-fa"></span>
فارسی
<select mbsc-dropdown data-input-style="box" id="demo-farsi"></select>
</label>
</div>
</div>
</div>
</div>
.md-localization span.flag {
width: 22px;
height: 15px;
position: absolute;
left: 1em;
z-index: 1;
top: 8px;
}
.mbsc-rtl .md-localization span.flag {
right: 1em;
}
.mbsc-ios .md-localization span.flag {
top: 15px;
}
.md-localization .flag~.mbsc-label {
margin-left: 38px;
}
.mbsc-rtl .md-localization .flag~.mbsc-label {
margin-right: 38px;
}
.md-localization img.flag {
width: 30px;
}
.md-localization .flag {
background: url(https://img.mobiscroll.com/demos/flags/flags_responsive.png) no-repeat;
background-size: 100%;
}
.md-localization .flag-en {
background-position: 0 93.38843%;
}
.md-localization .flag-ar {
background-position: 0 76.033058%;
}
.md-localization .flag-bg {
background-position: 0 9.090909%;
}
.md-localization .flag-ca {
background-position: 0 14.876033%;
}
.md-localization .flag-cs {
background-position: 0 21.900826%;
}
.md-localization .flag-zh {
background-position: 0 19.008264%;
}
.md-localization .flag-hr {
background-position: 0 38.429752%;
}
.md-localization .flag-da {
background-position: 0 23.140496%;
}
.md-localization .flag-de {
background-position: 0 22.31405%;
}
.md-localization .flag-en-UK {
background-position: 0 92.561983%;
}
.md-localization .flag-es {
background-position: 0 26.859504%;
}
.md-localization .flag-fr {
background-position: 0 29.752066%;
}
.md-localization .flag-gr {
background-position: 0 34.710744%;
}
.md-localization .flag-in {
background-position: 0 40.909091%;
}
.md-localization .flag-it {
background-position: 0 42.975207%;
}
.md-localization .flag-ja {
background-position: 0 44.214876%;
}
.md-localization .flag-kr {
background-position: 0 47.520661%;
}
.md-localization .flag-lt {
background-position: 0 52.066116%;
}
.md-localization .flag-hu {
background-position: 0 39.256198%;
}
.md-localization .flag-nl {
background-position: 0 65.289256%;
}
.md-localization .flag-no {
background-position: 0 65.702479%;
}
.md-localization .flag-pl {
background-position: 0 70.661157%;
}
.md-localization .flag-pt-PT {
background-position: 0 72.31405%;
}
.md-localization .flag-pt-BR {
background-position: 0 11.983471%;
}
.md-localization .flag-ro {
background-position: 0 74.380165%;
}
.md-localization .flag-sr {
background-position: 0 74.793388%;
}
.md-localization .flag-sk {
background-position: 0 79.752066%;
}
.md-localization .flag-fi {
background-position: 0 27.68595%;
}
.md-localization .flag-sv {
background-position: 0 77.68595%;
}
.md-localization .flag-th {
background-position: 0 85.950413%;
}
.md-localization .flag-tr {
background-position: 0 89.256198%;
}
.md-localization .flag-ua {
background-position: 0 91.735537%;
}
.md-localization .flag-vi {
background-position: 0 96.694215%;
}
.md-localization .flag-ru {
background-position: 0 75.206612%;
}
.md-localization .flag-ru-UA {
background-position: 0 10.743802%;
}
.md-localization .flag-he {
background-position: 0 40.495868%;
}
.md-localization .flag-fa {
background-position: 0 42.14876%;
}
Select - Event hooks
EVENTS FIRED:
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var instance = mobiscroll.select('#demo-event-hooks', {
placeholder: 'Please Select...',
filter: true,
onInit: function (event, inst) {
// Your custom event handler goes here
},
onMarkupReady: function (event, inst) {
// Your custom event handler goes here
},
onBeforeShow: function (event, inst) {
// Your custom event handler goes here
},
onPosition: function (event, inst) {
// Your custom event handler goes here
},
onShow: function (event, inst) {
// Your custom event handler goes here
},
onSet: function (event, inst) {
// Your custom event handler goes here
},
onItemTap: function (event, inst) {
// Your custom event handler goes here
},
onDestroy: function (event, inst) {
// Your custom event handler goes here
},
onClose: function (event, inst) {
// Your custom event handler goes here
},
onCancel: function (event, inst) {
// Your custom event handler goes here
},
onBeforeClose: function (event, inst) {
// Your custom event handler goes here
},
onClear: function (event, inst) {
// Your custom event handler goes here
},
onFilter: function (event, inst) {
// Your custom event handler goes here
},
onChange: function (event, inst) {
// Your custom event handler goes here
}
});
document
.getElementById('show')
.addEventListener('click', function () {
instance.show();
}, false);
document
.getElementById('clear')
.addEventListener('click', function () {
instance.clear();
}, false);
<div mbsc-form>
<div class="mbsc-form-group">
<label>
Select
<select mbsc-dropdown name="City" id="demo-event-hooks" data-label-style="stacked" data-input-style="box">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</select>
</label>
<div class="mbsc-btn-group">
<button mbsc-button id="clear">Clear</button>
<button mbsc-button id="show">Show</button>
</div>
</div>
</div>
Select - Theming capabilities
The look and feel of the select can be deeply customized. There are four levels of customization:
- Base themes: Choose between
Mobiscroll
,iOS
,Android Material
andWindows
. - Light or dark: Every theme has a
light
anddark
variant. Setting thethemeVariant
to'auto'
will switch based on system settings. - Custom themes: Use the theme builder to customize the colors and make it match your brand.
- Custom CSS: If you need further customization, the sky is the limit with CSS overrides.
You can also see how every example looks by changing the theme in the floating action bar on the right side.
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
var form = mobiscroll.form("#demo-form"),
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
mobiscroll.select("#demo-ios", {
data: items,
theme: 'ios',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-ios-dark", {
data: items,
theme: 'ios',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-ios-custom", {
data: items,
theme: 'ios-gray',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-material", {
data: items,
theme: 'material',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-material-dark", {
data: items,
theme: 'material',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-material-custom", {
data: items,
theme: 'material-indigo',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-windows", {
data: items,
theme: 'windows',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-windows-dark", {
data: items,
theme: 'windows',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-windows-custom", {
data: items,
theme: 'windows-yellow',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-mobiscroll", {
data: items,
theme: 'mobiscroll',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-mobiscroll-dark", {
data: items,
theme: 'mobiscroll',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
mobiscroll.select("#demo-mobiscroll-custom", {
data: items,
theme: 'mobiscroll-lime',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select...'
});
<div mbsc-form>
<div class="mbsc-grid mbsc-grid-fixed">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">iOS Theme</div>
<label>
Light
<select mbsc-dropdown id="demo-ios"></select>
</label>
<label>
Dark
<select mbsc-dropdown id="demo-ios-dark"></select>
</label>
<label>
Custom
<select mbsc-dropdown id="demo-ios-custom"></select>
</label>
</div>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Material Theme</div>
<label>
Light
<select mbsc-dropdown id="demo-material"></select>
</label>
<label>
Dark
<select mbsc-dropdown id="demo-material-dark"></select>
</label>
<label>
Custom
<select mbsc-dropdown id="demo-material-custom"></select>
</label>
</div>
</div>
</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Windows Theme</div>
<label>
Light
<select mbsc-dropdown id="demo-windows"></select>
</label>
<label>
Dark
<select mbsc-dropdown id="demo-windows-dark"></select>
</label>
<label>
Custom
<select mbsc-dropdown id="demo-windows-custom"></select>
</label>
</div>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Mobiscroll Theme</div>
<label>
Light
<select mbsc-dropdown id="demo-mobiscroll"></select>
</label>
<label>
Dark
<select mbsc-dropdown id="demo-mobiscroll-dark"></select>
</label>
<label>
Custom
<select mbsc-dropdown id="demo-mobiscroll-custom"></select>
</label>
</div>
</div>
</div>
</div>
</div>
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
Component license
Purchase component licenses if you are looking for specific funcionality.
All
Framework license
Get all 36 components, including
Framework license
Get all 36 components, including
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Framework license
Select the development framework you are using. Get all 36 components with the license.
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Select the framework you are interested in
Use Javascript when building with plain and simple JS.
Use jQuery when you have jQuery already included or if you are building with jQuery Mobile.
Use AngularJS when building with Angular 1.x or Ionic 1.
Use Angular when building with Angular 2/4/5/6/7/8 or Ionic 2/3/4.
Use it when you are building your app or website with React.
Do you need additional support seats?
The license comes with one support seat. ( +$100/seat )
Add the source code?
What framework are you using?
We have to set you up with a trial for this to run 👍
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
$ mobiscroll config ionic --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular
$ mobiscroll config angular --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy!
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍

Angular and Ionic Select
Select for Angular and Ionic 2/3/4
Select for Angular and Ionic 2/3/4
Select for Angular and Ionic 2/3/4
Learn more
Advanced select component for single and multiple value selection. Provides a great alternative to the ion-select with enhanced UX.
Can be used as a component along with other mobiscroll form elements or as a directive on any ion-input or field.
Shipping with useful features:
- Single or multiple value selection
- Group header and list segmentation
- On demand rendering for long lists
- Built in support for invalids and un-selectable values
- Filtering and autocomplete with type ahead
- Circular wheels
- Multiple theme support
- Modal, popup and inline display support
- RTL Support
- Full localization
Interested in scroller controls? Other demos that could be useful:
Select demos available for other frameworks.
Viewing demos & code for
Select - Mobile & Desktop usage
Use the select for both mobile and desktop or set it up responsively. The main difference between the two rendering modes - controlled by the touchUi
setting - is how the component is laid out.
When set to false
the component shows up suitable for larger screens and pointer interaction while setting it to true
renders it suitable for touch screens.
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
mobile: 1;
desktop: 1;
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
mobileSettings: MbscSelectOptions = {
display: 'bubble'
};
desktopSettings: MbscSelectOptions = {
display: 'bubble',
touchUi: false
};
}
<mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="mobile" [options]="mobileSettings" [data]="items" input-style="box">Mobile</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="desktop" [options]="desktopSettings" [data]="items" input-style="box">Desktop</mbsc-select>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - App & Website usage
Use it on any custom input or with Mobiscroll form fields. The select is shown on input focus, but it can also be triggered on a button click or it can be embedded directly into the page.
Let’s say you already have a form and you want a custom dropdown. You can use it on existing fields or new fields.
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
demo = 1;
header = 1;
nonform = 1;
external = 1;
data = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
settings: MbscSelectOptions = {
display: 'bubble'
};
headerSettings: MbscSelectOptions = {
display: 'bubble',
headerText: 'Pick location'
};
nonFormSettings: MbscSelectOptions = {
display: 'bubble',
inputClass: 'demo-non-form'
};
externalSettings: MbscSelectOptions = {
display: 'bubble',
inputClass: 'demo-non-form',
showOnTap: false,
showOnFocus: false
};
}
<mbsc-form input-style="box">
<div class="mbsc-grid mbsc-form-grid">
<mbsc-form-group>
<mbsc-form-group-title>Using the Select with Mobiscroll form fields</mbsc-form-group-title>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="demo" [options]="settings" [data]="data">Select</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="header" [options]="headerSettings" [data]="data">Header text</mbsc-select>
</div>
</div>
</mbsc-form-group>
</div>
</mbsc-form>
<div class="mbsc-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<label for="demo-app-select-non-form">Select</label>
<input id="demo-app-select-non-form" [(ngModel)]="nonForm" mbsc-select [mbsc-options]="nonFormSettings" [mbsc-data]="data" />
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-row mbsc-align-items-end">
<div class="mbsc-col-9">
<label for="demo-app-select-external">Show on button click only</label>
<input id="demo-app-select-external" [(ngModel)]="external" mbsc-select [mbsc-options]="externalSettings" [mbsc-data]="data" #externalSelect="mobiscroll" />
</div>
<div class="mbsc-col-3 external-container">
<button (click)="externalSelect.instance.show()" class="external-button">Show</button>
</div>
</div>
</div>
</div>
</div>
.demo-non-form {
color: initial;
width: 100%;
padding: 10px;
margin: 6px 0 12px 0;
border: 1px solid #ccc;
border-radius: 0;
font-family: arial, verdana, sans-serif;
font-size: 14px;
box-sizing: border-box;
-webkit-appearance: none;
}
.demo-container {
padding: 0 1em;
}
.external-container {
display: flex;
}
.external-container button.external-button {
font-weight: 400;
padding: 10px;
margin: 6px 0 13px 0;
width: 100%;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Mobile display modes
Different display modes can be used for mobile and desktop. On mobile, the select can be rendered at the top or bottom of the screen, in the center of the screen, anchored to an input or any object for that matter and it can also be embedded in any inline content.
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
select = 1;
selectTop = 1;
selectCenter = 1;
selectBubble = 1;
selectInline = 1;
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
selectSettings: MbscSelectOptions = {
display: 'bottom'
};
selectTopSettings: MbscSelectOptions = {
display: 'top'
};
selectCenterSettings: MbscSelectOptions = {
display: 'center'
};
selectBubbleSettings: MbscSelectOptions = {
display: 'bubble'
};
selectInlineSettings: MbscSelectOptions = {
showInput: false,
display: 'inline'
};
}
<mbsc-form>
<mbsc-form-group>
<mbsc-form-group-title>Try different display modes</mbsc-form-group-title>
<mbsc-select [(ngModel)]="select" [options]="selectSettings" [data]="items">Bottom</mbsc-select>
<mbsc-select [(ngModel)]="selectTop" [options]="selectTopSettings" [data]="items">Top</mbsc-select>
<mbsc-select [(ngModel)]="selectCenter" [options]="selectCenterSettings" [data]="items">Center</mbsc-select>
<mbsc-select [(ngModel)]="selectBubble" [options]="selectBubbleSettings" [data]="items">Bubble</mbsc-select>
</mbsc-form-group>
<mbsc-form-group class="mbsc-padding">
<p class="mbsc-thin">With inline display you can embed the Select component in almost any markup or form.</p>
</mbsc-form-group>
<mbsc-form-group>
<mbsc-form-group-title>Embedded select scroller</mbsc-form-group-title>
<mbsc-select [(ngModel)]="selectInline" [options]="selectInlineSettings" [data]="items"></mbsc-select>
</mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Desktop display modes
Use the available display modes on mobile and desktop. On larger screens you have slightly different rendering options suitable for the large form-factor and pointer interaction. Use the top, bottom and center modes for getting it in front of the users or stay in context and anchor it to the input.
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
anchored = 1;
top = 1;
bottom = 1;
center = 1;
citiy = 1;
groupWheel = 1;
group = 1;
multi = [3, 4];
city = 1;
selectSettings: MbscSelectOptions = {
select: 'multiple',
touchUi: false
};
remoteSettings: MbscSelectOptions = {
display: 'center',
touchUi: false,
multiline: 2,
height: 50,
data: {
url: 'https://trial.mobiscroll.com/airports/',
remoteFilter: true,
dataType: 'jsonp',
processResponse: function (data) {
let item: any;
const ret = [];
if (data) {
for (let i = 0; i < data.length; i++) {
item = data[i];
ret.push({
value: item.code,
text: item.name,
html: '<div style="font-size:16px;line-height:18px;">' + item.name +
'</div><div style="font-size:10px;line-height:12px;">' + item.location + ', ' + item.code + '</div>'
});
}
}
return ret;
}
},
filter: true,
placeholder: 'Please select'
};
setBtnSettings: MbscSelectOptions = {
display: 'center',
touchUi: false,
buttons: ['set']
};
setCancelSettings: MbscSelectOptions = {
display: 'center',
touchUi: false,
buttons: ['set', 'cancel']
};
}
<mbsc-form>
<div class="mbsc-align-center">
<mbsc-note color="primary">The Select component can be used on mobile and desktop. See desktop functionality below.</mbsc-note>
</div>
<div class="mbsc-grid">
<div class="mbsc-row mbsc-justify-content-center">
<div class="mbsc-col-sm-9 mbsc-col-md-7 mbsc-col-xl-5">
<mbsc-form-group inset>
<mbsc-form-group-title>Basic usage</mbsc-form-group-title>
<mbsc-dropdown [(ngModel)]="city" mbsc-select [touchUi]="false" label="Single select">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
<mbsc-dropdown [(ngModel)]="multi" mbsc-select [mbsc-options]="selectSettings" label="Multi-select">
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3">Electronics & Computers</option>
<option value="4">Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
</mbsc-dropdown>
</mbsc-form-group>
<mbsc-form-group inset>
<mbsc-form-group-title>Pop-up positioning</mbsc-form-group-title>
<mbsc-dropdown [(ngModel)]="top" mbsc-select [touchUi]="false" display="top" label="Top">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
<mbsc-dropdown [(ngModel)]="bottom" mbsc-select [touchUi]="false" display="bottom" label="Bottom">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
<mbsc-dropdown [(ngModel)]="anchored" mbsc-select [touchUi]="false" label="Anchored">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
<mbsc-dropdown [(ngModel)]="center" mbsc-select [touchUi]="false" display="center" label="Center">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
</mbsc-form-group>
<mbsc-form-group inset>
<mbsc-form-group-title>Group select & segmentation</mbsc-form-group-title>
<mbsc-dropdown [(ngModel)]="city" mbsc-select [touchUi]="false" label="Group select">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
<mbsc-dropdown [(ngModel)]="groupWheel" mbsc-select [touchUi]="false" [group]="true" label="Group wheel">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
</mbsc-form-group>
<mbsc-form-group inset>
<mbsc-form-group-title>Filtering & autocomplete</mbsc-form-group-title>
<mbsc-select [options]="remoteSettings" placeholder="Please select...">Remote data</mbsc-select>
</mbsc-form-group>
<mbsc-form-group inset>
<mbsc-form-group-title>With buttons</mbsc-form-group-title>
<mbsc-dropdown [(ngModel)]="setBtn" mbsc-select [mbsc-options]="setBtnSettings" label="Set button" placeholder="Please select...">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
<mbsc-dropdown [(ngModel)]="setCancel" mbsc-select [mbsc-options]="setCancelSettings" label="Set/Cancel" placeholder="Please select...">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
</mbsc-form-group>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Responsive
Use the select dropdown responsively. You can set positioning and rendering based on the screen size. Having a bottom positioned select on mobile, a popover anchored to the input on tablet and desktop display on large sceens is simple.
All this can be configured under the responsive
setting where you pass the options for each breakpoint.
responsive: { xsmall: { ... }, small: { ... }, medium: { ... }, large: { ... }, xlarge: { ... } }
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
groupWheel = 1;
group = 1;
multi = [3, 4];
city = 1;
selectSettings: MbscSelectOptions = {
select: 'multiple',
responsive: this.getResposiveSetting()
};
remoteSettings: MbscSelectOptions = {
display: 'center',
responsive: this.getResposiveSetting(),
multiline: 2,
height: 50,
data: {
url: 'https://trial.mobiscroll.com/airports/',
remoteFilter: true,
dataType: 'jsonp',
processResponse: function (data) {
let item: any;
const ret = [];
if (data) {
for (let i = 0; i < data.length; i++) {
item = data[i];
ret.push({
value: item.code,
text: item.name,
html: '<div style="font-size:16px;line-height:18px;">' + item.name +
'</div><div style="font-size:10px;line-height:12px;">' + item.location + ', ' + item.code + '</div>'
});
}
}
return ret;
}
},
filter: true,
placeholder: 'Please select'
};
getResposiveSetting() {
return {
small: {
display: 'bubble'
},
medium: {
touchUi: false
}
};
}
}
<mbsc-form>
<div class="mbsc-align-center">
<mbsc-note color="primary">The Select component can be used on mobile and desktop. See desktop functionality below.</mbsc-note>
</div>
<div class="mbsc-grid">
<div class="mbsc-row mbsc-justify-content-center">
<div class="mbsc-col-sm-9 mbsc-col-md-7 mbsc-col-xl-5">
<mbsc-form-group inset>
<mbsc-form-group-title>Basic usage</mbsc-form-group-title>
<mbsc-dropdown label="Single select" [(ngModel)]="city" mbsc-select [responsive]="getResposiveSetting()" >
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
<mbsc-dropdown label="Multi-select" [(ngModel)]="multi" mbsc-select [mbsc-options]="selectSettings">
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3">Electronics & Computers</option>
<option value="4">Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
</mbsc-dropdown>
</mbsc-form-group>
<mbsc-form-group inset>
<mbsc-form-group-title>Group select & segmentation</mbsc-form-group-title>
<mbsc-dropdown label="Group select" [(ngModel)]="city" mbsc-select [responsive]="getResposiveSetting()" >
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
<mbsc-dropdown label="Group wheel" [(ngModel)]="groupWheel" mbsc-select [responsive]="getResposiveSetting()" [group]="true" >
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
</mbsc-form-group>
<mbsc-form-group inset>
<mbsc-form-group-title>Filtering & autocomplete</mbsc-form-group-title>
<mbsc-select [options]="remoteSettings" placeholder="Please select...">Remote data</mbsc-select>
</mbsc-form-group>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Multiple select
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
select = [3, 4];
group = [1, 2, 9, 196, 200, 1008, 1009];
desktop = [3, 4];
selectSettings: MbscSelectOptions = {
display: 'bubble',
select: 'multiple'
};
groupSettings: MbscSelectOptions = {
display: 'bubble',
select: 'multiple',
label: 'Name',
group: true,
groupLabel: ' '
};
desktopSettings: MbscSelectOptions = {
select: 'multiple',
touchUi: false
};
}
<mbsc-form input-style="box" label-style="stacked">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Multi-select" [(ngModel)]="select" mbsc-select [mbsc-options]="selectSettings">
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3">Electronics & Computers</option>
<option value="4">Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
<option value="9">Automotive & Industrial</option>
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Group options" [(ngModel)]="group" mbsc-select [mbsc-options]="groupSettings">
<optgroup label="A">
<option value="0">Adaline Shiver</option>
<option value="1" >Adella Cornell</option>
<option value="2" >Adolph Scriber</option>
<option value="3" disabled>Adrianna Merritt</option>
<option value="4" disabled>Adrianne Marotta</option>
</optgroup>
<optgroup label="B">
<option value="78">Barbara Mackay</option>
<option value="79">Barbera Phu</option>
<option value="80">Barbie Kaczorowski</option>
<option value="81">Barney Flurry</option>
<option value="82">Beatriz Remer</option>
</optgroup>
<!-- Showing partial data. Download full source. -->
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Desktop" [(ngModel)]="desktop" mbsc-select [mbsc-options]="desktopSettings">
<option value="1">Books</option>
<option value="2">Movies, Music & Games</option>
<option value="3">Electronics & Computers</option>
<option value="4">Home, Garden & Tools</option>
<option value="5">Health & Beauty</option>
<option value="6">Toys, Kids & Baby</option>
<option value="7">Clothing & Jewelry</option>
<option value="8">Sports & Outdoors</option>
<option value="9">Automotive & Industrial</option>
</mbsc-dropdown>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Group options
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
desktop = 1;
desktopWheel = 1;
desktopMulti = [1, 2, 9, 196, 200, 1008, 1009];
group = 1;
wheel = 1;
multi = [1, 2, 9, 196, 200, 1008, 1009];
desktopSettings: MbscSelectOptions = {
display: 'bubble',
touchUi: false
};
desktopWheelSettings: MbscSelectOptions = {
display: 'bubble',
group: true,
touchUi: false
};
desktopMultiSettings: MbscSelectOptions = {
display: 'bubble',
select: 'multiple',
group: true,
touchUi: false
};
groupSettings: MbscSelectOptions = {
display: 'bubble'
};
wheelSettings: MbscSelectOptions = {
display: 'bubble',
group: true
};
multiSettings: MbscSelectOptions = {
display: 'bubble',
select: 'multiple',
group: true
};
}
<mbsc-form input-style="box" label-style="stacked">
<div class="mbsc-grid mbsc-form-grid">
<mbsc-form-group>
<mbsc-form-group-title>Use it on desktop</mbsc-form-group-title>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Group select" [(ngModel)]="desktop" mbsc-select [mbsc-options]="desktopSettings">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Group wheel" [(ngModel)]="desktopWheel" mbsc-select [mbsc-options]="desktopWheelSettings">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Multiple select" [(ngModel)]="desktopMulti" mbsc-select [mbsc-options]="desktopMultiSettings">
<optgroup label="A">
<option value="0">Adaline Shiver</option>
<option value="1">Adella Cornell</option>
<option value="2">Adolph Scriber</option>
<option value="3" disabled>Adrianna Merritt</option>
<option value="4" disabled>Adrianne Marotta</option>
</optgroup>
<optgroup label="B">
<option value="78">Barbara Mackay</option>
<option value="79">Barbera Phu</option>
<option value="80">Barbie Kaczorowski</option>
<option value="81">Barney Flurry</option>
<option value="82">Beatriz Remer</option>
</optgroup>
<!-- Showing partial data. Download full source. -->
</mbsc-dropdown>
</div>
</div>
</mbsc-form-group>
<mbsc-form-group>
<mbsc-form-group-title>Use it on mobile</mbsc-form-group-title>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Group select" [(ngModel)]="group" mbsc-select [mbsc-options]="groupSettings">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Group wheel" [(ngModel)]="wheel" mbsc-select [mbsc-options]="wheelSettings">
<optgroup label="USA">
<option value="1">Atlanta</option>
<option value="2">Boston</option>
<option value="3">Chicago</option>
<option value="4">Los Angeles</option>
<option value="5">New York</option>
<option value="6">San Francisco</option>
</optgroup>
<optgroup label="UK">
<option value="7">Bath</option>
<option value="8">Bristol</option>
<option value="9">Cambridge</option>
<option value="10">London</option>
<option value="11">Leeds</option>
<option value="12">Manchester</option>
<option value="13">Newcastle</option>
<option value="14">Oxford</option>
</optgroup>
<optgroup label="China">
<option value="15">Beijing</option>
<option value="16">Chongqing</option>
<option value="17">Shanghai</option>
<option value="18">Shenzhen</option>
<option value="19">Tianjin</option>
</optgroup>
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown label="Multiple select" [(ngModel)]="multi" mbsc-select [mbsc-options]="multiSettings">
<optgroup label="A">
<option value="0">Adaline Shiver</option>
<option value="1">Adella Cornell</option>
<option value="2">Adolph Scriber</option>
<option value="3" disabled>Adrianna Merritt</option>
<option value="4" disabled>Adrianne Marotta</option>
</optgroup>
<optgroup label="B">
<option value="78">Barbara Mackay</option>
<option value="79">Barbera Phu</option>
<option value="80">Barbie Kaczorowski</option>
<option value="81">Barney Flurry</option>
<option value="82">Beatriz Remer</option>
</optgroup>
<!-- Showing partial data. Download full source. -->
</mbsc-dropdown>
</div>
</div>
</mbsc-form-group>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Multi level hierarchy
import { Component, ViewChild } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
@ViewChild('mbscReg') reg: MbscSelect;
@ViewChild('mbscDiv') div: MbscSelect;
@ViewChild('mbscSub') sub: MbscSelect;
@ViewChild('mbscRemoteReg') remoteReg: MbscSelect;
@ViewChild('mbscRemoteDiv') remoteDiv: MbscSelect;
@ViewChild('mbscRemoteSub') remoteSub: MbscSelect;
remoteRegData: any = {
url: 'https://trial.mobiscroll.com/regions/',
dataType: 'jsonp'
};
remoteDivData: any = {
url: 'https://trial.mobiscroll.com/divisions/',
dataType: 'jsonp'
};
remoteSubData: any = {
url: 'https://trial.mobiscroll.com/subdivisions/',
dataType: 'jsonp'
};
emptyValue = { value: '', text: '', disabled: true };
divVal = '';
remoteDivVal = '';
subVal = '';
remoteSubVal = '';
regVal = '';
remoteRegVal = '';
regData = [];
divData = [];
subData = [];
constructor() {
this.regData = this.getData('', '');
this.divData = [this.emptyValue];
this.subData = [this.emptyValue];
}
regSettings: MbscSelectOptions = {
touchUi: false,
onSet: (ev, inst) => {
this.div.instance.settings.invalid.length = 0;
this.divVal = '';
this.div.instance.enable();
this.sub.instance.settings.invalid.length = 0;
this.subVal = '';
this.sub.instance.disable();
setTimeout(() => {
this.divData = this.getData(this.regVal, '');
this.subData = [this.emptyValue];
}, 100);
}
};
divSettings: MbscSelectOptions = {
touchUi: false,
disabled: true,
onSet: (ev, inst) => {
this.sub.instance.settings.invalid.length = 0;
this.subVal = '';
this.sub.instance.enable();
setTimeout(() => {
this.subData = this.getData(null, this.divVal);
}, 100);
}
};
subSettings: MbscSelectOptions = {
touchUi: false,
disabled: true
};
remoteRegSettings: MbscSelectOptions = {
touchUi: false,
data: this.remoteRegData,
onSet: (ev, inst) => {
this.remoteDiv.instance.settings.invalid.length = 0;
this.remoteDiv.instance.settings.data.url = 'https://trial.mobiscroll.com/divisions/?reg=' + this.remoteRegVal;
this.remoteDivVal = '';
this.remoteDiv.instance.refresh();
this.remoteDiv.instance.enable();
this.remoteSub.instance.settings.invalid.length = 0;
this.remoteSubVal = '';
this.remoteSub.instance.disable();
}
};
remoteDivSettings: MbscSelectOptions = {
touchUi: false,
data: this.remoteDivData,
disabled: true,
onSet: (ev, inst) => {
this.remoteSub.instance.settings.invalid.length = 0;
this.remoteSub.instance.settings.data.url = 'https://trial.mobiscroll.com/subdivisions/?div=' + this.remoteDivVal;
this.remoteSubVal = '';
this.remoteSub.instance.refresh();
this.remoteSub.instance.enable();
}
};
remoteSubSettings: MbscSelectOptions = {
touchUi: false,
data: this.remoteSubData,
disabled: true
};
getData = (region: any, division: any) => {
let arr: any;
const regions = [
{ value: 1, text: 'Northeast' },
{ value: 2, text: 'Midwest' },
{ value: 3, text: 'South' },
{ value: 4, text: 'West' }
],
divisions = {
1: [
{ value: 1, text: 'New England' },
{ value: 2, text: 'Mid-Atlantic' }
],
2: [
{ value: 3, text: 'East North Central' },
{ value: 4, text: 'West North Central' }
],
3: [
{ value: 5, text: 'South Atlantic' },
{ value: 6, text: 'East South Central' },
{ value: 7, text: 'West South Central' }
],
4: [
{ value: 8, text: 'Mountain' },
{ value: 9, text: 'Pacific' }
]
},
subdivisions = {
1: [
{ value: 1, text: 'Connecticut' },
{ value: 2, text: 'Maine' },
{ value: 3, text: 'Massachusetts' },
{ value: 4, text: 'New Hampshire' },
{ value: 5, text: 'Rhode Island' },
{ value: 6, text: 'Vermont' }
],
2: [
{ value: 7, text: 'New Jersey' },
{ value: 8, text: 'New York' },
{ value: 9, text: 'Pennsylvania' }
],
3: [
{ value: 10, text: 'Illinois' },
{ value: 11, text: 'Indiana' },
{ value: 12, text: 'Michigan' },
{ value: 13, text: 'Ohio' }
],
4: [
{ value: 14, text: 'Wisconsin' },
{ value: 15, text: 'Iowa' },
{ value: 16, text: 'Kansas' },
{ value: 17, text: 'Minnesota' },
{ value: 18, text: 'Missouri' },
{ value: 19, text: 'Nebraska' },
{ value: 20, text: 'North Dakota' },
{ value: 21, text: 'South Dakota' }
],
5: [
{ value: 22, text: 'Delaware' },
{ value: 23, text: 'Florida' },
{ value: 24, text: 'Georgia' },
{ value: 25, text: 'Maryland' },
{ value: 26, text: 'North Carolina' },
{ value: 27, text: 'South Carolina' },
{ value: 28, text: 'Virginia' },
{ value: 29, text: 'District of Columbia' },
{ value: 30, text: 'West Virginia' }
],
6: [
{ value: 31, text: 'Alabama' },
{ value: 32, text: 'Kentucky' },
{ value: 33, text: 'Mississippi' },
{ value: 34, text: 'Tennessee' }
],
7: [
{ value: 35, text: 'Arkansas' },
{ value: 36, text: 'Louisiana' },
{ value: 37, text: 'Oklahoma' },
{ value: 38, text: 'Texas' }
],
8: [
{ value: 39, text: 'Arizona' },
{ value: 40, text: 'Colorado' },
{ value: 41, text: 'Idaho' },
{ value: 42, text: 'Montana' },
{ value: 43, text: 'Nevada' },
{ value: 44, text: 'New Mexico' },
{ value: 45, text: 'Utah' },
{ value: 46, text: 'Wyoming' }
],
9: [
{ value: 47, text: 'Alaska' },
{ value: 48, text: 'California' },
{ value: 49, text: 'Hawaii' },
{ value: 50, text: 'Oregon' },
{ value: 51, text: 'Washington' }
]
};
if (division) {
arr = subdivisions[division];
} else if (region) {
arr = divisions[region];
} else {
arr = regions;
}
return arr;
}
}
<mbsc-form>
<div class="mbsc-grid mbsc-grid-fixed">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-form-group inset>
<mbsc-form-group-title>Data object</mbsc-form-group-title>
<mbsc-select [(ngModel)]="regVal" [options]="regSettings" #mbscReg="mobiscroll" [data]="regData" placeholder="Please Select...">Region</mbsc-select>
<mbsc-select [(ngModel)]="divVal" [options]="divSettings" #mbscDiv="mobiscroll" [data]="divData" placeholder="Please Select..." disabled>Division</mbsc-select>
<mbsc-select [(ngModel)]="subVal" [options]="subSettings" #mbscSub="mobiscroll" [data]="subData" placeholder="Please Select..." disabled>Subdivision</mbsc-select>
</mbsc-form-group>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-form-group inset>
<mbsc-form-group-title>Remote data</mbsc-form-group-title>
<mbsc-select [(ngModel)]="remoteRegVal" [options]="remoteRegSettings" #mbscRemoteReg="mobiscroll" placeholder="Please Select...">Region</mbsc-select>
<mbsc-select [(ngModel)]="remoteDivVal" [options]="remoteDivSettings" #mbscRemoteDiv="mobiscroll" placeholder="Please Select..." disabled>Division</mbsc-select>
<mbsc-select [(ngModel)]="remoteSubVal" [options]="remoteSubSettings" #mbscRemoteSub="mobiscroll" placeholder="Please Select..." disabled>Subdivision</mbsc-select>
</mbsc-form-group>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Autocomplete
import { Component } from '@angular/core';
import { mobiscroll, MbscCalendarOptions, MbscFormOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
names = [{
text: 'Abigail Hodges',
value: 1
}, {
text: 'Adam Robertson',
value: 2
}, {
text: 'Adrian Mackay',
value: 3
}, {
text: 'Adrian Springer',
value: 4
}
// Showing partial data. Download full source.
];
myData = {
url: 'https://trial.mobiscroll.com/airports/',
remoteFilter: true,
dataType: 'jsonp',
processResponse: function (data) {
const ret = [];
if (data) {
for (let i = 0; i < data.length; i++) {
const item = data[i];
ret.push({
value: item.code,
text: item.name,
html: '<div style="font-size:16px;line-height:18px;">' + item.name +
'</div><div style="font-size:10px;line-height:12px;">' + item.location + ', ' + item.code + '</div>'
});
}
}
return ret;
}
};
localSettings = {
display: 'center',
filter: true
};
remoteSettings = {
display: 'center',
multiline: 2,
height: 50,
data: this.myData,
filter: true
};
}
<mbsc-form input-style="box">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="localData" [options]="localSettings" [data]="names" placeholder="Please Select...">Local data</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="remoteDate" [options]="remoteSettings" placeholder="Please Select...">Remote data</mbsc-select>
</div>
</div>
</div>
</mbsc-form>
.demo-non-form {
color: initial;
width: 100%;
padding: 10px;
margin: 6px 0 12px 0;
border: 1px solid #ccc;
border-radius: 0;
font-family: arial, verdana, sans-serif;
font-size: 14px;
box-sizing: border-box;
-webkit-appearance: none;
}
.demo-container {
padding: 0 1em;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Data source
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
// Make sure to run it on a web server when trying this demo locally!
demo: number = 1;
data: number = 1;
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
remoteSettings: MbscSelectOptions = {
touchUi: false,
data: {
url: 'https://trial.mobiscroll.com/content/languages.json',
dataType: 'json'
},
maxWidth: 300
};
}
<mbsc-form input-style="box" label-style="stacked">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-dropdown [(ngModel)]="demo" mbsc-select [touchUi]="false" label="HTML">
<option value="1">Atlanta</option>
<option value="2">Berlin</option>
<option value="3">Boston</option>
<option value="4">Chicago</option>
<option value="5">London</option>
<option value="6">Los Angeles</option>
<option value="7">New York</option>
<option value="8">Paris</option>
<option value="9">San Francisco</option>
</mbsc-dropdown>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-select [(ngModel)]="data" [data]="items" [touchUi]="false">Data object</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4">
<mbsc-select [(ngModel)]="remote" [options]="remoteSettings" placeholder="Please Select...">Remote data</mbsc-select>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Large datasource
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
names = [{
value: 0,
group: 'A',
text: 'Adaline Shiver'
}, {
value: 1,
group: 'A',
text: 'Adella Cornell'
}, {
value: 2,
group: 'A',
text: 'Adolph Scriber'
},
{
value: 78,
group: 'B',
text: 'Barbara Mackay'
}, {
value: 79,
group: 'B',
text: 'Barbera Phu'
}, {
value: 80,
group: 'B',
text: 'Barbie Kaczorowski'
}, {
value: 81,
group: 'B',
text: 'Barney Flurry'
}
// Showing partial data. Download full source.
];
remoteSettings: MbscSelectOptions = {
display: 'bubble',
data: {
url: 'https://trial.mobiscroll.com/content/names.json',
dataType: 'json'
}
};
}
<mbsc-form>
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="html" [data]="names" display="bubble" placeholder="Please Select..." input-style="box">HTML</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="remote" [options]="remoteSettings" placeholder="Please Select..." input-style="box">Remote</mbsc-select>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Multiline select
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
mobile = 1;
desktop = 1;
items = [{
value: 1,
text: 'Percentage of assets covered by systematic risk assessments (>99)'
}, {
value: 2,
text: 'Number of personal vacancies in the security roles required for ISMS (Nil)'
}, {
value: 3,
text: 'Time taken to grant, change and remove access privileges (Max. 2 hours)'
}, {
value: 4,
text: 'Percentage of agents covered by an effective security awareness program (100%)'
}, {
value: 5,
text: 'Number of security access violations (<2)'
}, {
value: 6,
text: 'Number of emergency changes (<5)'
}, {
value: 7,
text: 'Number of security incidents involving malicious code (Max. 2)'
}, {
value: 8,
text: 'Number of systems where security requirements are not met (Max. 2)'
}, {
value: 9,
text: 'Average turnaround time of incidents (Max. 2 hours)'
}, {
value: 10,
text: 'Number of pending actions to meet response and recovery requirements (Max. 5)'
}, {
value: 11,
text: 'Number of scheduled internal audits not done (Max. 1)'
}, {
value: 12,
text: 'Number of scheduled penetration tests not done (Max. 1)'
}, {
value: 13,
text: 'Number of overdue actions arising out of audit reports (Max. 5)'
}, {
value: 14,
text: 'Number of changes not carried out as per change control procedure (Max. 1)'
}
];
mobileSettings: MbscSelectOptions = {
display: 'bubble',
multiline: 3,
height: 50
};
desktopSettings: MbscSelectOptions = {
display: 'bubble',
touchUi: false,
multiline: 3,
height: 50
};
}
<mbsc-form input-style="box" label-style="stacked">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="mobile" [options]="mobileSettings" [data]="items">Mobile</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="desktop" [options]="desktopSettings" [data]="items">Desktop</mbsc-select>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Country Dropdown
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
const remoteData = {
url: 'https://trial.mobiscroll.com/content/countries.json',
type: 'json'
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
filter: string;
group: string;
desktopFilter: string;
desktopGroup: string;
filterSettings: MbscSelectOptions = {
display: 'bubble',
data: remoteData,
filter: true,
group: {
groupWheel: false,
header: false
},
width: 400
};
groupSettings: MbscSelectOptions = {
display: 'bubble',
data: remoteData,
group: true,
width: [40, 240]
};
desktopFilterSettings: MbscSelectOptions = {
display: 'bubble',
touchUi: false,
data: remoteData,
filter: true,
group: {
groupWheel: false,
header: false
},
width: 400
};
desktopGroupSettings: MbscSelectOptions = {
display: 'bubble',
touchUi: false,
data: remoteData,
group: true
};
}
<mbsc-form input-style="box">
<div class="mbsc-grid mbsc-form-grid">
<mbsc-form-group>
<mbsc-form-group-title>Use it on desktop</mbsc-form-group-title>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="filter" [options]="filterSettings" placeholder="Please Select...">Filter</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="group" [options]="groupSettings" placeholder="Please Select...">Group select</mbsc-select>
</div>
</div>
</mbsc-form-group>
<mbsc-form-group>
<mbsc-form-group-title>Use it on mobile</mbsc-form-group-title>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="desktopFilter" [options]="desktopFilterSettings" placeholder="Please Select...">Filter</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-select [(ngModel)]="desktopGroup" [options]="desktopGroupSettings" placeholder="Please Select...">Group select</mbsc-select>
</div>
</div>
</mbsc-form-group>
</div>
</mbsc-form>
.demo-non-form {
color: initial;
width: 100%;
padding: 10px;
margin: 6px 0 12px 0;
border: 1px solid #ccc;
border-radius: 0;
font-family: arial, verdana, sans-serif;
font-size: 14px;
box-sizing: border-box;
-webkit-appearance: none;
}
.demo-container {
padding: 0 1em;
}
.external-container {
display: flex;
}
.external-container button.external-button {
font-weight: 400;
padding: 10px;
margin: 6px 0 12px 16px;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Setting values
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions, MbscFormOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
theme: '',
themeVariant: '',
lang: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
cities = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
defaultVal = 6;
inlineSettings: MbscSelectOptions = {
display: 'inline',
showInput: false
};
customSettings: MbscSelectOptions = {
select: 'multiple',
buttons: [{
text: 'Custom',
handler: function (event, inst) {
inst.setVal([3, 4, 7], true, true, false, 1000);
}
},
'set',
'cancel'
]
};
autoSettings: MbscSelectOptions = {
select: 'multiple',
buttons: ['cancel']
};
setLondon(inst) {
inst.setVal(5, true, true, false, 1000);
}
setParis(inst) {
inst.setVal(8, true, true, false, 1000);
}
}
<mbsc-form>
<mbsc-form-group>
<mbsc-form-group-title>Controlling the default value</mbsc-form-group-title>
<mbsc-select [(ngModel)]="demo" [data]="cities">Default</mbsc-select>
<mbsc-select [(ngModel)]="defaultVal" [data]="cities">Custom default</mbsc-select>
</mbsc-form-group>
<mbsc-form-group>
<mbsc-form-group-title>Setting a custom value</mbsc-form-group-title>
<div class="mbsc-btn-group-block">
<mbsc-button (click)="setLondon(mbscSelect.instance)">London</mbsc-button>
<mbsc-button (click)="setParis(mbscSelect.instance)">Paris</mbsc-button>
</div>
<mbsc-select [(ngModel)]="customVal" [data]="cities" #mbscSelect="mobiscroll" [options]="inlineSettings"></mbsc-select>
</mbsc-form-group>
<mbsc-form-group>
<mbsc-form-group-title>Buttons API</mbsc-form-group-title>
<mbsc-select [(ngModel)]="custom" [data]="cities" [options]="customSettings">Custom</mbsc-select>
<mbsc-select [(ngModel)]="auto" [data]="cities" [options]="autoSettings">Auto set</mbsc-select>
</mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - RTL support
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions, MbscFormOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
theme: '',
themeVariant: '',
lang: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
names = [{
value: 0,
group: 'A',
text: 'Adaline Shiver'
}, {
value: 1,
group: 'A',
text: 'Adella Cornell'
}, {
value: 2,
group: 'A',
text: 'Adolph Scriber'
},
{
value: 78,
group: 'B',
text: 'Barbara Mackay'
}, {
value: 79,
group: 'B',
text: 'Barbera Phu'
}, {
value: 80,
group: 'B',
text: 'Barbie Kaczorowski'
}, {
value: 81,
group: 'B',
text: 'Barney Flurry'
}
// Showing partial data. Download full source.
];
arabicSettings: MbscSelectOptions = {
lang: 'ar',
group: true
};
hebrewSettings: MbscSelectOptions = {
lang: 'he',
group: true
};
farsiSettings: MbscSelectOptions = {
lang: 'fa',
group: true
};
rtlSettings: MbscSelectOptions = {
rtl: true,
group: true
};
formSettings: MbscFormOptions = {
rtl: true
};
}
<mbsc-form [options]="formSettings">
<mbsc-form-group>
<mbsc-form-group-title>RTL enabled by default</mbsc-form-group-title>
<mbsc-select [(ngModel)]="arabic" [options]="arabicSettings" [data]="names">Arabic</mbsc-select>
<mbsc-select [(ngModel)]="hebrew" [options]="hebrewSettings" [data]="names">Hebrew</mbsc-select>
<mbsc-select [(ngModel)]="farsi" [options]="farsiSettings" [data]="names">Farsi</mbsc-select>
</mbsc-form-group>
<mbsc-form-group>
<mbsc-form-group-title>Manually set RTL</mbsc-form-group-title>
<mbsc-select [(ngModel)]="rtl" [options]="rtlSettings" [data]="names">RTL</mbsc-select>
</mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Localization
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
theme: '',
themeVariant: '',
display: 'bubble'
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
englishSettings: MbscSelectOptions = {
lang: 'en'
};
arabicSettings: MbscSelectOptions = {
lang: 'ar'
};
bulgarianSettings: MbscSelectOptions = {
lang: 'bg'
};
catalaSettings: MbscSelectOptions = {
lang: 'ca'
};
cestinaSettings: MbscSelectOptions = {
lang: 'cs'
};
chineseSettings: MbscSelectOptions = {
lang: 'zh'
};
croatianSettings: MbscSelectOptions = {
lang: 'hr'
};
danskSettings: MbscSelectOptions = {
lang: 'da'
};
deutschSettings: MbscSelectOptions = {
lang: 'de'
};
englishUkSettings: MbscSelectOptions = {
lang: 'en-UK'
};
espanolSettings: MbscSelectOptions = {
lang: 'es'
};
francaisSettings: MbscSelectOptions = {
lang: 'fr'
};
greekSettings: MbscSelectOptions = {
lang: 'el'
};
hindiSettings: MbscSelectOptions = {
lang: 'hi'
};
italianoSettings: MbscSelectOptions = {
lang: 'it'
};
japaneseSettings: MbscSelectOptions = {
lang: 'ja'
};
koreanSettings: MbscSelectOptions = {
lang: 'ko'
};
lietuviuSettings: MbscSelectOptions = {
lang: 'lt'
};
magyarSettings: MbscSelectOptions = {
lang: 'hu'
};
nederlandsSettings: MbscSelectOptions = {
lang: 'nl'
};
norskSettings: MbscSelectOptions = {
lang: 'no'
};
polskiSettings: MbscSelectOptions = {
lang: 'pl'
};
portuguesSettings: MbscSelectOptions = {
lang: 'pt-PT'
};
brasileiroSettings: MbscSelectOptions = {
lang: 'pt-BR'
};
romanaSettings: MbscSelectOptions = {
lang: 'ro'
};
serbianSettings: MbscSelectOptions = {
lang: 'sr'
};
slovencinaSettings: MbscSelectOptions = {
lang: 'sk'
};
suomiSettings: MbscSelectOptions = {
lang: 'fi'
};
svenskaSettings: MbscSelectOptions = {
lang: 'sv'
};
thaiSettings: MbscSelectOptions = {
lang: 'th'
};
turkceSettings: MbscSelectOptions = {
lang: 'tr'
};
ukrainianSettings: MbscSelectOptions = {
lang: 'ua'
};
vietnameseSettings: MbscSelectOptions = {
lang: 'vi'
};
russianSettings: MbscSelectOptions = {
lang: 'ru'
};
russianUaSettings: MbscSelectOptions = {
lang: 'ru-UA'
};
hebrewSettings: MbscSelectOptions = {
lang: 'he'
};
farsiSettings: MbscSelectOptions = {
lang: 'fa'
};
}
<mbsc-form input-style="box" class="md-localization">
<div class="mbsc-grid mbsc-form-grid">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="english" [options]="englishSettings" [data]="items">
<span class="flag flag-en"></span> English
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="arabic" [options]="arabicSettings" [data]="items">
<span class="flag flag-ar"></span> Arabic
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="bulgarian" [options]="bulgarianSettings" [data]="items">
<span class="flag flag-bg"></span> Bulgarian
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="catala" [options]="catalaSettings" [data]="items">
<span class="flag flag-ca"></span> Català
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="cestina" [options]="cestinaSettings" [data]="items">
<span class="flag flag-cs"></span> Cestina
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="chinese" [options]="chineseSettings" [data]="items">
<span class="flag flag-zh"></span> Chinese
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="croatian" [options]="croatianSettings" [data]="items">
<span class="flag flag-hr"></span> Croatian
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="dansk" [options]="danskSettings" [data]="items">
<span class="flag flag-da"></span> Dansk
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="deutsch" [options]="deutschSettings" [data]="items">
<span class="flag flag-de"></span> Deutsch
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="englishUk" [options]="englishUkSettings" [data]="items">
<span class="flag flag-en-UK"></span> English (UK)
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="espanol" [options]="espanolSettings" [data]="items">
<span class="flag flag-es"></span> Español
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="francais" [options]="francaisSettings" [data]="items">
<span class="flag flag-fr"></span> Français
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="greek" [options]="greekSettings" [data]="items">
<span class="flag flag-gr"></span> Greek
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="hindi" [options]="hindiSettings" [data]="items">
<span class="flag flag-in"></span> Hindi
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="italiano" [options]="italianoSettings" [data]="items">
<span class="flag flag-it"></span> Italiano
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="japanese" [options]="japaneseSettings" [data]="items">
<span class="flag flag-ja"></span> Japanese
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="korean" [options]="koreanSettings" [data]="items">
<span class="flag flag-kr"></span> Korean
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="lietuviu" [options]="lietuviuSettings" [data]="items">
<span class="flag flag-lt"></span> Lietuvių
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="magyar" [options]="magyarSettings" [data]="items">
<span class="flag flag-hu"></span> Magyar
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="nederlands" [options]="nederlandsSettings" [data]="items">
<span class="flag flag-nl"></span> Nederlands
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="norsk" [options]="norskSettings" [data]="items">
<span class="flag flag-no"></span> Norsk
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="polski" [options]="polskiSettings" [data]="items">
<span class="flag flag-pl"></span> Polski
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="portugues" [options]="portuguesSettings" [data]="items">
<span class="flag flag-pt-PT"></span> Português Europeu
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="brasileiro" [options]="brasileiroSettings" [data]="items">
<span class="flag flag-pt-BR"></span> Pt. Brasileiro
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="romana" [options]="romanaSettings" [data]="items">
<span class="flag flag-ro"></span> Româna
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="serbian" [options]="serbianSettings" [data]="items">
<span class="flag flag-sr"></span> Serbian
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="slovencina" [options]="slovencinaSettings" [data]="items">
<span class="flag flag-sk"></span> Slovencina
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="suomi" [options]="suomiSettings" [data]="items">
<span class="flag flag-fi"></span> Suomi
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="svenska" [options]="svenskaSettings" [data]="items">
<span class="flag flag-sv"></span> Svenska
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="thai" [options]="thaiSettings" [data]="items">
<span class="flag flag-th"></span> Thai
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="turkce" [options]="turkceSettings" [data]="items">
<span class="flag flag-tr"></span> Türkçe
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="ukrainian" [options]="ukrainianSettings" [data]="items">
<span class="flag flag-ua"></span> Ukrainian
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="vietnamese" [options]="vietnameseSettings" [data]="items">
<span class="flag flag-vi"></span> Vietnamese
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="russian" [options]="russianSettings" [data]="items">
<span class="flag flag-ru"></span> Русский
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="russianUa" [options]="russianUaSettings" [data]="items">
<span class="flag flag-ru-UA"></span> Русский (UA)
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="hebrew" [options]="hebrewSettings" [data]="items">
<span class="flag flag-he"></span> עברית
</mbsc-select>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-4 mbsc-col-xl-3">
<mbsc-select [(ngModel)]="farsi" [options]="farsiSettings" [data]="items">
<span class="flag flag-fa"></span> فارسی
</mbsc-select>
</div>
</div>
</div>
</mbsc-form>
.md-localization span.flag {
width: 22px;
height: 15px;
position: absolute;
left: 1em;
z-index: 1;
top: 8px;
}
.mbsc-rtl .md-localization span.flag {
right: 1em;
}
.mbsc-ios .md-localization span.flag {
top: 15px;
}
.md-localization .flag~.mbsc-label {
margin-left: 38px;
}
.mbsc-rtl .md-localization .flag~.mbsc-label {
margin-right: 38px;
}
.md-localization img.flag {
width: 30px;
}
.md-localization .flag {
background: url(https://img.mobiscroll.com/demos/flags/flags_responsive.png) no-repeat;
background-size: 100%;
}
.md-localization .flag-en {
background-position: 0 93.38843%;
}
.md-localization .flag-ar {
background-position: 0 76.033058%;
}
.md-localization .flag-bg {
background-position: 0 9.090909%;
}
.md-localization .flag-ca {
background-position: 0 14.876033%;
}
.md-localization .flag-cs {
background-position: 0 21.900826%;
}
.md-localization .flag-zh {
background-position: 0 19.008264%;
}
.md-localization .flag-hr {
background-position: 0 38.429752%;
}
.md-localization .flag-da {
background-position: 0 23.140496%;
}
.md-localization .flag-de {
background-position: 0 22.31405%;
}
.md-localization .flag-en-UK {
background-position: 0 92.561983%;
}
.md-localization .flag-es {
background-position: 0 26.859504%;
}
.md-localization .flag-fr {
background-position: 0 29.752066%;
}
.md-localization .flag-gr {
background-position: 0 34.710744%;
}
.md-localization .flag-in {
background-position: 0 40.909091%;
}
.md-localization .flag-it {
background-position: 0 42.975207%;
}
.md-localization .flag-ja {
background-position: 0 44.214876%;
}
.md-localization .flag-kr {
background-position: 0 47.520661%;
}
.md-localization .flag-lt {
background-position: 0 52.066116%;
}
.md-localization .flag-hu {
background-position: 0 39.256198%;
}
.md-localization .flag-nl {
background-position: 0 65.289256%;
}
.md-localization .flag-no {
background-position: 0 65.702479%;
}
.md-localization .flag-pl {
background-position: 0 70.661157%;
}
.md-localization .flag-pt-PT {
background-position: 0 72.31405%;
}
.md-localization .flag-pt-BR {
background-position: 0 11.983471%;
}
.md-localization .flag-ro {
background-position: 0 74.380165%;
}
.md-localization .flag-sr {
background-position: 0 74.793388%;
}
.md-localization .flag-sk {
background-position: 0 79.752066%;
}
.md-localization .flag-fi {
background-position: 0 27.68595%;
}
.md-localization .flag-sv {
background-position: 0 77.68595%;
}
.md-localization .flag-th {
background-position: 0 85.950413%;
}
.md-localization .flag-tr {
background-position: 0 89.256198%;
}
.md-localization .flag-ua {
background-position: 0 91.735537%;
}
.md-localization .flag-vi {
background-position: 0 96.694215%;
}
.md-localization .flag-ru {
background-position: 0 75.206612%;
}
.md-localization .flag-ru-UA {
background-position: 0 10.743802%;
}
.md-localization .flag-he {
background-position: 0 40.495868%;
}
.md-localization .flag-fa {
background-position: 0 42.14876%;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Event hooks
EVENTS FIRED:
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
select = 1;
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
settings: MbscSelectOptions = {
filter: true,
onInit: function (event, inst) {
// Your custom event handler goes here
},
onMarkupReady: function (event, inst) {
// Your custom event handler goes here
},
onBeforeShow: function (event, inst) {
// Your custom event handler goes here
},
onPosition: function (event, inst) {
// Your custom event handler goes here
},
onShow: function (event, inst) {
// Your custom event handler goes here
},
onSet: function (event, inst) {
// Your custom event handler goes here
},
onItemTap: function (event, inst) {
// Your custom event handler goes here
},
onDestroy: function (event, inst) {
// Your custom event handler goes here
},
onClose: function (event, inst) {
// Your custom event handler goes here
},
onCancel: function (event, inst) {
// Your custom event handler goes here
},
onBeforeClose: function (event, inst) {
// Your custom event handler goes here
},
onClear: function (event, inst) {
// Your custom event handler goes here
},
onFilter: function (event, inst) {
// Your custom event handler goes here
},
onChange: function (event, inst) {
// Your custom event handler goes here
}
};
}
<mbsc-form>
<mbsc-form-group>
<mbsc-select [(ngModel)]="select" [options]="settings" [data]="items" #mbscSelect="mobiscroll" input-style="box" label-style="stacked" placeholder="Please select...">Select</mbsc-select>
<div class="mbsc-btn-group">
<button (click)="mbscSelect.instance.clear()">Clear</button>
<button (click)="mbscSelect.instance.show()">Show</button>
</div>
</mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Select - Theming capabilities
The look and feel of the select can be deeply customized. There are four levels of customization:
- Base themes: Choose between
Mobiscroll
,iOS
,Android Material
andWindows
. - Light or dark: Every theme has a
light
anddark
variant. Setting thethemeVariant
to'auto'
will switch based on system settings. - Custom themes: Use the theme builder to customize the colors and make it match your brand.
- Custom CSS: If you need further customization, the sky is the limit with CSS overrides.
You can also see how every example looks by changing the theme in the floating action bar on the right side.
import { Component } from '@angular/core';
import { mobiscroll, MbscSelectOptions } from '@mobiscroll/angular';
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent {
iosDemo: number;
iosDarkDemo: number;
iosCustomDemo: number;
materialDemo: number;
materialDarkDemo: number;
materialCustomDemo: number;
windowsDemo: number;
windowsDarkDemo: number;
windowsCustomDemo: number;
mobiscrollDemo: number;
mobiscrollDarkDemo: number;
mobiscrollCustomDemo: number;
items = [{
value: 1,
text: 'Atlanta'
}, {
value: 2,
text: 'Berlin'
}, {
value: 3,
text: 'Boston'
}, {
value: 4,
text: 'Chicago'
}, {
value: 5,
text: 'London'
}, {
value: 6,
text: 'Los Angeles'
}, {
value: 7,
text: 'New York'
}, {
value: 8,
text: 'Paris'
}, {
value: 9,
text: 'San Francisco'
}];
iosSettings: MbscSelectOptions = {
theme: 'ios',
themeVariant: 'light',
display: 'bubble',
touchUi: false
};
iosDarkSettings: MbscSelectOptions = {
theme: 'ios',
themeVariant: 'dark',
display: 'bubble',
touchUi: false
};
iosCustomSettings: MbscSelectOptions = {
theme: 'ios-gray',
display: 'bubble',
touchUi: false
};
materialSettings: MbscSelectOptions = {
theme: 'material',
themeVariant: 'light',
display: 'bubble',
touchUi: false
};
materialDarkSettings: MbscSelectOptions = {
theme: 'material',
themeVariant: 'dark',
display: 'bubble',
touchUi: false
};
materialCustomSettings: MbscSelectOptions = {
theme: 'material-indigo',
display: 'bubble',
touchUi: false
};
windowsSettings: MbscSelectOptions = {
theme: 'windows',
themeVariant: 'light',
display: 'bubble',
touchUi: false
};
windowsDarkSettings: MbscSelectOptions = {
theme: 'windows',
themeVariant: 'dark',
display: 'bubble',
touchUi: false
};
windowsCustomSettings: MbscSelectOptions = {
theme: 'windows-yellow',
display: 'bubble',
touchUi: false
};
mobiscrollSettings: MbscSelectOptions = {
theme: 'mobiscroll',
themeVariant: 'light',
display: 'bubble',
touchUi: false
};
mobiscrollDarkSettings: MbscSelectOptions = {
theme: 'mobiscroll',
themeVariant: 'dark',
display: 'bubble',
touchUi: false
};
mobiscrollCustomSettings: MbscSelectOptions = {
theme: 'mobiscroll-lime',
display: 'bubble',
touchUi: false
};
}
<mbsc-form>
<div class="mbsc-grid mbsc-grid-fixed">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-form-group inset>
<mbsc-form-group-title>iOS Theme</mbsc-form-group-title>
<mbsc-dropdown label="Light" [(ngModel)]="iosDemo" mbsc-select [mbsc-options]="iosSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Dark" [(ngModel)]="iosDarkDemo" mbsc-select [mbsc-options]="iosDarkSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Custom" [(ngModel)]="iosCustomDemo" mbsc-select [mbsc-options]="iosCustomSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
</mbsc-form-group>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-form-group inset>
<mbsc-form-group-title>Material Theme</mbsc-form-group-title>
<mbsc-dropdown label="Light" [(ngModel)]="materialDemo" mbsc-select [mbsc-options]="materialSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Dark" [(ngModel)]="materialDarkDemo" mbsc-select [mbsc-options]="materialDarkSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Custom" [(ngModel)]="materialCustomDemo" mbsc-select [mbsc-options]="materialCustomSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
</mbsc-form-group>
</div>
</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-form-group inset>
<mbsc-form-group-title>Windows Theme</mbsc-form-group-title>
<mbsc-dropdown label="Light" [(ngModel)]="windowsDemo" mbsc-select [mbsc-options]="windowsSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Dark" [(ngModel)]="windowsDarkDemo" mbsc-select [mbsc-options]="windowsDarkSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Custom" [(ngModel)]="windowsCustomDemo" mbsc-select [mbsc-options]="windowsCustomSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
</mbsc-form-group>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<mbsc-form-group inset>
<mbsc-form-group-title>Mobiscroll Theme</mbsc-form-group-title>
<mbsc-dropdown label="Light" [(ngModel)]="mobiscrollDemo" mbsc-select [mbsc-options]="mobiscrollSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Dark" [(ngModel)]="mobiscrollDarkDemo" mbsc-select [mbsc-options]="mobiscrollDarkSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
<mbsc-dropdown label="Custom" [(ngModel)]="mobiscrollCustomDemo" mbsc-select [mbsc-options]="mobiscrollCustomSettings" [mbsc-data]="items" placeholder="Please Select..."></mbsc-dropdown>
</mbsc-form-group>
</div>
</div>
</div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
Component license
Purchase component licenses if you are looking for specific funcionality.
All
Framework license
Get all 36 components, including
Framework license
Get all 36 components, including
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Framework license
Select the development framework you are using. Get all 36 components with the license.
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Select the framework you are interested in
Use Javascript when building with plain and simple JS.
Use jQuery when you have jQuery already included or if you are building with jQuery Mobile.
Use AngularJS when building with Angular 1.x or Ionic 1.
Use Angular when building with Angular 2/4/5/6/7/8 or Ionic 2/3/4.
Use it when you are building your app or website with React.
Do you need additional support seats?
The license comes with one support seat. ( +$100/seat )
Add the source code?
What framework are you using?
We have to set you up with a trial for this to run 👍
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
$ mobiscroll config ionic --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular
$ mobiscroll config angular --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy!
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍